Backup2005 Pro Overview
Top Next

Backup2005 Pro is a powerful yet easy to use backup and restore tool for Windows. Backup2005 Pro is compatible with the zip file format, including Pkzip Deflate64 format.
Backup2005 Pro is also able to synchronize folder, disks, net work disks. It includes Backup2005 Pro Synchronizer.
Backup2005 Pro uses an Explorer-like interface to easily access any backup set component.

With Backup2005 Pro you can back-up your files to floppy disks, SuperDisks, hard drives, network drives, ZIP drives, JAZ, Syquest, SparQ, writable CD (CD-R, CD-RW). Backup2005 Pro is compatible with the WIndows XP burner driver and provides its own driver for non XP systems.

Backup2005 Pro is organized around a Backup set. A backup set contains the definition of the backup.
It includes:
· which data to back-up
· where to back-up
· how to back-up

Backing up and restoring will be very easy to do.

Backup2005 Pro, lets you define a standard profile for easy reuse when you define a new backup set.

Backup2005 Pro 'Unique archive file' mode allows you to always use the same archive file.

Backup2005 Pro manages a catalog database where you can find details of each backup job. You will be able to consult, or search through, all backup jobs without opening individual backup files and even restore a single file from the catalog. Optionally, Backup2005 Pro can be set to ignore the catalog

For each backup job, you can ask Backup2005 Pro to generate a log file.

After a backup job the log file can be sent to a specified Email address using SMTP protocol.

Any backup file can be viewed and restored even if the backup set does not exist .

Backup2005 Pro is able to upload and download the backup job to or from an Ftp or Http server.

Backup2005 Pro offers a direct access to the Windows' task scheduler.

Restoring is as easy as pushing a button, but you can use sophisticated restoring options, including restoring a single file.
Restoring can be redirected to any destination. Backup2005 Pro lets you to restore individual files, groups of files, entire folders, with or without filters and, of course, a complete backup file.

See also :
Windows XP and Cd-writers
Zip file format
What's new
http://www.backup2005.com/forum
Demos online
version 4.1.1 build 115(May 9 2005)


What's new
Previous Top Next

Demos online

Version 4.1.1.115
Changed : for WIndows 2000 user, skins can't be changed. Under undefined circumstances the skin engine slow down the backup set creation process (Windows 2000 and IE 6)

Version 4.1.1.114
New : new zip engine. With this new zip engine it is no longer necessary to use temporary file (see using temporary file).
New : support for internal AES encryption compatible with Winzip 9.x
New : new skin engine. Now Windows dialogs, such as open file dialog, are skinned.
Fixed : when Backup2005 Pro Synchronizer is running a scheduled task, Backup2005 Pro is no longer pop up when the task is terminated
Fixed : run before, run after options where locked in the Standard profile dialog box
Fixed : creating a second trigger for a scheduled task run in a violation access error if the Apply button was clicked.
Fixed : under some circumstances, the drive letter of a file was not properly handled causing troubles when restoring the file.

Version 4.0.1.113
Fixed : Scheduler >> weekly task was not properly handled
Fixed : Main window >> when backing up and minimizing the main window unexpected icons were added to the tray icon area

Version 4.0.1.112
Fixed : Backup2005 Pro Synchronizer was not restored when minimized.

Version 4.0.1.111
New Backup2005 Pro.Read From Backup2004 Pro to Backup2005 Pro


From Backup2004 Pro to Backup2005 Pro

1. Backup2005 Synchronizer is embedded in Backup2005 Pro. The synchronizer is different from the stand alone version. Backup2005 Pro synchronizer updates the General report, and synchronization scripts are available from the backup tree list or from the graphic backup map. But it does not include the live module.
The synchronizer allows you to define powerful backup strategy.

2. Management of network connections and ftp-http connections are now centralized (see Tools menu). In other words this means that if you change any information in the connection you don't need to change each concerned backup set.

3. Backup2005 Pro introduces the Second copy folder. Once the archive file is built a second copy is copied into the Second copy folder.

4. Backup set creation is now available in 3 modes :
- Beginner: backup set is simplified. The creation is done through a wizard.
- Normal : like in Backup2004 Pro
- Expert : the quickest way to create backup set.

5. Archive file can be encrypted using external AES 256 bit key encryption (like Backup2005 Synchronizer). Please note support for Winzip AES encryption will be added in May.

6. You can schedule now more than one backup set in a single task.

7. For security purpose Backup set files are now encrypted. This means that Backup2004 Pro backup set are not directly compatible with Backup2005 Pro but at the first use Backup2004 Pro backup sets are transformed.
Please note : the copy mode is no longer supported. You must use now the synchronizer.

8. Backup2005 Pro comes with high quality skins and screen has been re tailored in 16/9 when possible (this means that 99% of components used in the software like list, combo, edit zone... have been changed).

9. Backup2005 Pro supports FTPS

10. Under Windows XP, Backup2005 Pro is able to run the Windows restore point service and back up the hidden folder System Volume Information for more security.

11. CD and DVD supports has been improved.


Zip file format

Archive files built with Backup2005 Pro use the well known zip file format.
But a standard zip file is limited in size and number of file entries. Standard zip format is not enough to manage a large backup file. Pkzip (owner of Zip file format) has recently developed a new extended zip format called Deflate64.
Backup2005 Pro is able to build archive files using:
· standard zip file (Pkzip2.04g)
· Deflate64 zip file
· Bzip file format.

All these formats are supported by Winzip 8.1 with a limitation for Deflate64. Winzip is unable to open zip file greater than 4GB. Backup2005 Pro can build (and open) files larger than 4GB.

If you run Windows 9x/Me with a FAT32 partition disk use the standard zip file, but you must take care of operating system limitations.
If you select standard zip file and the limitation is reached while backing up, the format is automatically adjusted (if your system supports it).
If you run a true 32 bits Windows system (WIndows NT/2000/XP) and NTFS disk partitions use Deflate64.
Bzip is highly recommended for multimedia files.

Backup2005 Pro supports multi-part files. Archive files can be split into small pieces (on a hard disk) or spanned over multiple media. There is no standard to cut zip files, so spanned files are not compatible with Winzip. But if you need to restore spanned archive files with Winzip you can manually do it. See the FAQ section on the user forum.

The zip file viewer included in Windows XP supports only Pkzip 2.04g, and can't open archive files which include the full path name of the zipped file. Backup2005 Pro, as other backup software, includes the full name of a file. So even archive files built with standard zip format are not opened by Windows XP zip file viewer. If you need a perfect compatibility use the Extract drive from zip file to remove drive letter from the stored file path.

From version 4.1.1.114 the zip engine supports the Winzip AES encryption password (AES 256)


Backup Set Concept

Before starting with Backup2005 Pro, you need to understand how backup jobs are organized.
When you create a new backup set, the definition is stored in a file with a .BKS extension.

This file is placed into a subfolder of the Backup2005 Pro application folder named Bkset.
When you process a backup, Backup2005 Pro uses the definition to create the job.

Backed up data are stored in a compressed file. The file size is limited by your operating system and the file management used.
Backup2005 Pro offers also the way to store files directly to another destination (including CD and DVD) without compression. This mode is called 'Copy mode'

The maximum size of this file is 2GB if you are running Windows 9x/Me with FAT32, 4GB if you run NT/2000/XP with a FAT32 disk partition and potentially unlimited with Windows NT/2000/XP and NTFS partition disk (18 million terabytes).

When you set the 'Classic archive file' mode, this archive file is named with the Backup set name + the date (in year month day format) and time. This file is located in the folder specified when you create the Backup Set.
If you select the 'Unique archive file' mode this archive file is named with the same name as the Backup set.

During this process, a database stores information about files being processed. This database is called the Catalog.
This process can be disabled.

Another file is produced during the process. This file is called a log file and is stored in a Log subfolder.
Log files are text files, which contain a description of events occurring during backup, restore and other operations. They demonstrate if everything is working as it should, and help determine which files were backed up or restored.
Log files are optional.
Log files are named with the date ( year, month, day format) + time and a .LOG extension.
Log files can be set in complete or summary mode. In summary mode only errors and warnings are included.
You can choose to generate the log file as an html file. The extension file will be a .html.

When using the 'Classic archive file' mode the Backup Type is a key property of the Backup set.

A backup type allows you to specify how files should be selected for backup during a backup job. It also determines which files will be left for future backup jobs. Backup types rely on the archive attribute of a file. All files have the archive attribute and this is automatically updated by the operating system whenever a file is manipulated by any application. The attribute is checked to determine if a file has been modified since the last backup, and Backup2005 Pro uses this information, along with the backup type you have specified, to determine whether or not the file should be backed up during a given job.

There are three backup types.
· Full : Backup every file, regardless of the archive attribute. Resets the archive attribute after a file is backed up
· Incremental : Backup only the files that have the archive attribute set. Resets the archive attribute after a file is backed up.
· First Full then Incremental : the first job is built as a Full backup. Subsequent jobs are made as incremental.

The Reset option used with the last mode allows you to define a cycle Full->only changed files->Full->only...
So, you can safely maintain different versions of the same files


Backup strategy

Backup2005 Pro offers a wide variety of tools to elaborate sophisticated backup strategy.

With the growing size of external hard disk for less and less dollars, growing size of USB keys (2GB), and the next coming HD-DVD and Blue Ray (over 20GB per medium) DVD standard, it was necessary to introduce functions to take advantage of these new technologies
Because archive files are like any other file, and can be corrupted, we have added at the backup destination level the second copy folder. When the backup is done the archive file is replicated to another destination folder. So you have a backup of your backup.
The second major innovation in Backup2005 Pro is the synchronization tool. The Backup2005 Pro Synchronizer allows you to copy files to another computer or external disk. The Synchronizer is not only a copy tool, it can keep different versions of the same file, encrypt files using AES 256 bits encryption keys and can compress file in gzip compression format.
The Backup2005 Pro Synchronizer is also useful to transfer data from a notebook to a desktop and vice versa.

The most important values on your computer are your data. The hardware can be replaced, the system and programs can be easily reinstalled but your data are unique. In a professional environment contracts, database, emails, reports, accountancy have no price.
In a personal environment can you imagine everything on your computer lost forever? The countless hours you spend filling your hard drive with work, photos of family and friends, emails, financial records, downloaded music and other important documents are irreplaceable and can never be fully recovered if you are not protected.

Data can be lost for a lot of reasons : hardware failure, viruses, spyware, and human errors or they can be robbed.

1st rule : backup often an earlier. Don't wait to back up. Depending of your computer activity, backing up data every month is not enough. In professional usage, you must back up your data every day and even several times a day. For home computing, at least once a week.
Backup can be done transparently when you schedule it.

2nd rule : backup or copy data to external devices. Never backup data from C:\ to D:\ when C and D are 2 partitions on the same disk !
Using external hard disk in combination with network drive is a good strategy. You can copy data to an USB drive through the Backup2005 Pro Synchronizer and back up those data to a network drive. But don't forget to place the external device in a secure place when you leave your office.

3rd rule : encrypt your strategic data, especially when data are backed up or copied to an external device or removable medium.

4th rule : check the disk partition system. Often users are ignoring the disk partition in use. FAT32 limits the file size. You can use Windows XP but your disk partition can be a FAT32. Never move a file > 2 (Windows 9x/Me) or 4 (Windows 2000,NT,XP) GB from an NTFS disk partition to a FAT32 one. The archive file will be corrupted.

5th rule : don't build gigantic backup set. Creating an unique backup set on the root of your main drive (e.g. C:\) is not recommended. A backup software is not a disk image software.

6th rule : never never never remove data from your computer without checking the status of your archive files.

A good strategy is to use a disk image software in combination with Backup2005 Pro.


The Interface

If you don't like the large buttons, click the View main menu item and check the Small buttons menu item.

The standard display (see also Tools | Allow changing options)

Backup2005 Pro shows all your backup sets in an Explorer tree view mode.

All backup sets are displayed in the left panel of the application window.
The check mark indicates the active backup set. The name of the active backup set is also displayed on the status bar.
Functions such as Backup, Restore, Modify Backup set ... relate always to the active Backup set.

In the right panel, the backup set definition is displayed. If you check the Tools | Allow changing options, some of the backup set options can be changed directly here without loading the Modify backup set dialog box.

A popup is available using the right mouse button.

When you browse the tree view, the applications right panel displays the content of the object selected.

As shown above, if the selected object is the Backup set itself, the definition will be displayed.
If you select the <Catalogs> item, the right panel will show the catalog database.

You can organize the catalog view as you wish. Move (or remove) the column header to the grouping area. Columns can be moved. If you want to sort the column, click over the header, click again to invert the sorting order.

This popup menu is activated using the right mouse button.

From the popup menu you can change the screen appearance by changing colors or drawing lines between rows.
If the archive file itself is available, you can restore one or more files to the original location. You can also directly open the archive file. This can be useful if you wish to read the content of an archived file.

If you select a log file from <log files>, the selected log file will be displayed.

Alternative interface

Backup2005 Pro offers three other interfaces : The General report, the Backup map and the Status view.
Move to the View menu to set the one of your choice.

The General report displays the list of all jobs executed. The most recent job is display first.

You can sort or organize the General report as you wish by dragging one or more column headers to the grouping area.

The Backup map shows in a graphical mode the list of all backup sets pointing to their destination folder. From the Backup map you can access every backup set description.

The Status view shows the list of all backup sets. If a task is scheduled for this backup set, the Scheduled jobs icon will be display.
The Status view indicates for each backup set the last job done, the next job (if scheduled), the scheduler status (if any) and the last archive file generated by Backup2005 Pro. From the Status view you can run a backup, restore files, access the last archive file. A context popup menu is available.


Using CD and DVD burners

Backup2005 Pro supports CD and DVD burners.

One generally believes that CD's are like any other media, this is not true.
CD or DVD burners are not seen by the operating system (Windows) as removable media like a floppy disk or any other removable media (Iomega's zip drive...). This means that spanning over multiple media can't be done easily like other true removable media.

To burn data on a CD or DVD there are two methods:
· direct writing using a "packets writer" software like Roxio's Direct CD or Nero's Incd. This software is generally delivered for free with any burner package. As on any other media the file is written directly to the media.
· burning file : the file is created on the hard disk drive then burned on the media.

Backup2005 Pro supports both methods.
If you use the internal driver you must set the split size property when you create a new backup set (see the How tab) to allow multi parts archive file. If you don't define a split size value, Backup2005 Pro will calculate this value from the disk space available on the first medium.

It is highly recommended to use Direct CD or Incd packets writer software if they are installed on your system if the archive file size is smaller than the medium size otherwise using the internal driver is highly recommended.
Backup2005 Pro is delivered with its own burner driver. In this case the file is first built on the hard disk then burned on the CD or DVD. This means that you must have enough free disk space on your hard disk. The Backup2005 Pro burner works like the one included with Windows XP except that it supports multi session even on CD-R. Files already burned on the CD are always available (this is not the case with the Windows XP burner driver). Of course CD-R must not be finalized.

To use our internal driver check the Use Internal burner driver available from the Standard profile Burner driver page.

Note for Windows XP user :
If Incd or Direct CD is installed on your computer and you wish to use it instead of our internal burner driver or standard XP burner driver you must check the None item (Standard profile, Burner driver page).

Using CD and DVD usual questions

1/ Is my hardware recognized by Backup2005 Pro internal burner driver ?
To check if your hardware is supported : remove any media from the burner and let the tray open. Launch Backup2005 Pro and go to File>>Standard profile and Options>>Burner. Click Driver item, then check Use internal burner driver
The item Speed and block size now must be now enabled. Click the item to display the Burner speed and block size . The Burner(s) list must be populated.
If the page is not available, or the list not populated this means that your burner is not recognized by our internal driver. In this case you can download from the Nero site the free wnaspi.dll. Before copying this file in the Windows\System32 folder (or Winnt\System32) check if an existing one already exists in this folder. If you find it rename or copy the Dll in another place. The Wnaspi.dll is universal and can be used even if you don't have any Nero software installed. Never copy this file if you are running Windows 98 or Me
In most case installing the Nero Wnaspi.dll instead the Microsoft one resolved the problem.

2/ My burner is recognized but I can't get my archive file burned.
In this case it is a media problem. First verify that the media is not damaged.
If the media is healthy there are 2 reasons for which the archive file can't be burned :
· the media has been finalized by a previous process (Backup2005 Pro or other application). You can't add data to a finalized media.
· the media has been formatted to be used with a packet writer software (Direct CD or Incd) and contains data. It appears that a media formatted by a packet writer software utility can't be burned by the internal driver if it contains data written through the packet writer software. If you don't have checked Erase target removable media you will get a Not enough free space message.
If you have checked Erase target removable media the archive file will be burned but the media will become unavailable for packet writer software
.
3/ I get a message This driver is not a burner when I create or modify a backup set
When you cerate or modify a backup set you can get a message This drive is not a burner while you are selecting a destination folder.
First check if the selected drive is really a burner not a reader. If it is a burner remove any media and let the tray open .

4/ My burner is recognized, I don't use a packet writer but I can't get my archive file burned
This is probably a user rights problem. Unfortunately Windows allows only users with administrator rights to access the burner driver. This is a Windows limitation. To pass by this limitation you can install a free Nero utility ftp://ftp6.nero.com/NeroBurnRightsInstaller.exe

5/ Internal driver vs Packet writer software
If the archive file size is smaller than a blank media you can use a packet writer software. The packet writer software will be faster than the internal burner driver.
To use your packet writer software : in the Profile standard and Options >> Burner>>Driver : check the None item.
Your packet writer software can be used only with CD-RW or DVD-RW.
Your media must be formatted through the packet writer utility.
But the worst limitation is that you can't span multiple disks. A burner is not a floppy disk and it is not seen by the operating system as a removable media so Windows don't send any message to prevent the program that the media is full.
When you use the Internal burner driver the process is slowest because it is a 2 times process. First the archive file is built on your hard disk then burned on the media.
But the internal burner driver has 2 advantages :
· when you specify a split size value (when you create a backup set) you can span multiple disks
· you can use any kind of media and not only rewritalbe CD or DVD.


Getting Started with Backup2005 Pro

When you launch Backup2005 Pro for the first time, you get this screen

The intro wizard describes the main functions of Backup205 Pro and allow you to start the Standard Profile
Backup2005 Pro will be launched only if a standard profile has been defined.
The wizard checks your system and displays alert if it finds FAT or FAT32 disk partition.
The wizard allows you to select your backup set creation mode.
Backup2005 Pro allows you to create backup set using 3 modes :
· beginner : creation is done through a wizard. The backup set is created using the options defined through the Standard Profile
· standard : like former Backup2004 Pro. The dialog box is populated with the values defined in the Standard Profile. You can change these values.
· expert : no dialog box or wizard, selection is done through an explorer like panel and options can be changed through a tool bar.

The Standard Profile is displayed.

The main window is split in two panels, like your Windows Explorer.

All objects (backup set definitions, catalog, log files...) will be listed in the left panel. The selected object will be displayed in the right panel.
At this point you can build your first Backup set or modify the Standard Profile, which will be used to create new backup sets.

To build your first Backup set click the New Backup set button or go to the File | New Backup set menu item or press the Ctrl + N keys.
To define a Standard Profile select the File | Standard Profile menu item.

The first time you launch the Backup2005 Pro main program (azg.exe), three subfolders are created in the Backup2005 Pro folder.
The Bkset folder will contain all backup set definitions ( file with .bks extension )
The Catalog folder will contain the Catalog database (Catalog.dat and Catalog.idx ) and the general report database (Genlog.dat, Genlog.blb and Genlog.idx).

Before starting a job you can evaluate the size of the archive file. This function is useful to check the number of media needed if the back-up destination is a removable media drive.


Common errors

· Scheduled task does not run
Backup2005 Pro creates a scheduled task in the Windows Task Scheduler.
Windows Task scheduler needs a user account with password to run any task. This allows to run the job even if the user is logged off.
This is the main error, but other reasons are also possible. If you use a drive letter (C:\...) instead of an UNC path (\\computer\C\...) and add a new drive. The drive letter can now point to another source (or destination).

· Using a mapped drive letter instead of an UNC path in a scheduled backup set
Mapped drive is only recognized by the operating system when the user is logged on. So if the job is executed when the user is logged off the mapped drive is unknown and the backup job will fail.

· Back up data from a NTFS disk partition to a FAT32 partition
In a network environment one can find both disk partitions. Sometimes one use an old Windows 98 to back up data from a Windows 2000 or XP computer. Generally Windows 2000 and XP use NTFS then Windows 98 was installed on FAT32 partition. If you back up more than 2 GB of data the archive file will be corrupted. If you wish to back up data in a such configuration just take care of the data size (use the evaluate function if needed).

· NEVER NEVER NEVER remove data without verifying the archive file

· Using formatted CDRW or DVDRW with the internal burner driver
When a medium is formatted to be used through a packet writer software (e.g. Nero Incd) it uses the UDF file system while a blank medium uses the CDFS file system. Of course you can use RW medium with Backup2005 Pro but it must be blank or if you have selected the erase medium option. In this case the UDF file system will be removed before burning process.

· Using CDR, DVDR or blank CDRW, DVDRW with packet writer software
If you prefer to use a packet writer software (direct access to the medium) like Roxio Direct CD or Nero Incd you must use RW medium formatted otherwise the wrting process will raise an exception error and the backup job will fail.


Troubleshooting

You can get support from our user forum http://www.backup2005/forum.
But here are the most frequent questions about problems encountered :

· Scheduled task does not start : Backup2005 Pro creates tasks scheduled in the Windows Scheduler. The tasks are started by Windows itself. If the task does not start go to the Scheduled jobs and click the Log button on the toolbar. The Windows Scheduler log file is displayed, check the exit code for the task then go to the Windows help file to get a more comprehensible information about this code. Keep in mind that the Windows scheduler does not recalculate the next process time if the computer was off at the task time. In this case run the task from the Run function of the Scheduled jobs list. If you are running Windows XP with SP1 it is highly recommended to upgrade to SP2. Microsoft has fixed a severe problem in the Windows scheduler.
· I got an exception error while backing up my data (message Access violation at address...) : if you are writing data to a CD or a DVD you are not working with the proper medium. You will get this message if you have checked to use our internal burner driver and you are using a RW medium formatted to be used through a packet writer software. You must use a non formatted medium. You get also this message if you choose to write data through a packet writer software and you are using a non formatted medium. If you are writing data on an external USB hard disk : a lack of power generally is the reason of such problem. Users have reported that using a self powered USB hub solves this kind of problem. Other possible reason is the use of an USB 1.1 cable with an USB 2.0 device.
· I got a 506,507,508 error code : If your backup job fails with an error code 506, 507 or 508 that means the zip engine was unable to write archive file don the destination folder.
The reasons are multiple and depend of the destination type.

If the destination is another hard disk :
* verify the disk space available on the destination disk
(don't forget that the system keeps back some space for virtual memory and recycle bin)
* check the disk for bad sectors : run a scan disk

If the destination is a network disk :
* as for a local disk check the disk space
* verify that you don't pass by your disk quota (if any)
* verify the user name and password provided (maybe they have been changed)
* check if the network is still available and the workstation connected.

If the destination is a removable media :
* verify that the medium is non protected
* if it is a scheduled job verify that a medium was inserted in the device.
* if it is a CD-R verify that it was not finalized (more data are not allowed)
* verify the space available on the media
* verify that the split size defined in the backup set definition matches the space available on the media.

If your backup job is defined in Unique archive file mode verify that you have enough disk space for the temporary folder

If your backup destination is a CD or a DVD using our internal driver or the original Windows XP burner verify that there is enough
space for the burning stage area.


Using temporary file

The new zip engine introduced in version 4.1.1.114 changes the way the archive zip file is created. The goal is to reduce the ressources needed to create backup files (less disk space, less memory, less CPU). Unlike previous version, using temporary file is no longer recommended in all circumstances.
· back up data to an external hard drive : the temporary file is not necessary. You can backup directly to the hard drive.
· back up data to a network drive : the temporary file is recommended if your network is slow or if there are a lot of workstations connected
· back up data to a CD-DVD or removable medium : not recommended.


Beginner

shortcut : Ctrl + N
(see also Backup Set Concept )
(see also : Schedule job )

In Beginner mode the backup set is built through a wizard using the default values defined in the Standard Profile.

Backup set name

Give a name

What do you want to back up

Select what you want to back up.

Drive or folders

Check the folder(s) to back up

Include (filter)

You can filter the files you wish to back up.

or

One or more files

Click the add button to browse your computer and select the files you wish.

Destination drive or folder

Select the destination drive or folder. This page is filled up by the folders defined in the Profile Standard. Of course you can change these folders.

Schedule

You can schedule the task. For more sophisticated options click the Advanced Schedule Wizard button.

You are now ready to save the backup set. You can access the Standard profile and options if you wish to check or change some options before saving the backup set.
Backup2005 Pro checks your drive and inform you about potential problem.

Click the OK button to save the backup set.


Standard

shortcut : Ctrl + N
(see also Backup Set Concept )
(see also : Schedule job )

In Standard mode, the backup set creation is done through a dialog box

Definition

The new Backup set dialog box is displayed. The default tab is the What tab-selected data. If you have already defined a Standard profile, the New backup set is filled with these values. The style of the navigation panel (left side) can be changed. A popup menu is available from the panel navigation.

1 Give a unique name to your backup set. Then select the archive mode.
You can choose between the 'Classic mode' , the 'Unique archive file mode' .
Classic mode : each time a backup is run a new archive file is created Files matching your definition are added to the newly created archive file. The backup mode (Full, Incremental or First full then Incremental) is a key definition of the backup set and determines how files will be added to the new archive file.
Unique archive : Backup2005 Pro maintains only one archive file for this backup set. Files updated are replaced. This mode can only be used with non removable media (including CD or DVD).

The Your selection button displays the list of folders and files selected or excluded. This is useful when you modify a backup set.

The What's missing button is visible until the OK button is highlighted. This button allows you to know what is needed to finalize the backup set.

2 The What tab

Select data :

Files or folders can be selected from the tree view (left pan) or from the files and folders lists (right pan).

To select a drive or one or more folders : browse the Explorer tree, select the drive or the folder to back up (the item must be highlighted) and click the small square box.
All subfolders will be automatically checked to be included in the backup set.

To unselect all selected folders and files : click the right mouse button to invoke the popup menu

Select the Clear Selection menu option.

To unselect a folder
You can unselect the folder by unchecking the box. All subfolders will be removed from the selection.

To exclude one or more subfolders : just uncheck the subfolder you wish to exclude from the selection. If you need to exclude all subfolders move to the left pan and click the right mouse button to display the popup menu and select the Unselect all folders menu option

To recall an excluded subfolder : Just check the box again.

How to exclude a specific file : when a folder is selected all files appear as checked in the file list (explorer right pan). If you want to exclude one or more files just uncheck them (click over the checked box).

How to include only one ore more files : maybe you need to back up targeted files and not an entire folder. Just browse the file list and click the empty box. The file will be marked for selection. Files selected can be stored in different folders.
And, of course, you can mix folder selection with file selection.

A popup menu is also available from the file list (on the right pan)

· Go up : go to the parent folder, like the Windows Explorer you can use the Backspace.

· Filter : this function allows you to display only files you need to target.
A panel is displayed at the explorer footer.

Type the filter in the edit zone. You can use more than one filter at once, just separate them with ;
Click the Apply button to filter the file list. Click the Clear button to unfilter the list and hide the panel.

· Select all : all files will be selected. You can combine this feature with the Filter function (by example if you wish to select all .html files).
· Unselect all : all files will be unselected.

Registry
If you add Registry, a backup of the Windows database registry will be added to the archive file.

Date filter
You can add a date filter.
You can select to filter data since the last backup or you can provide a minimum and maximum date.

3 The Predefined tab

Some predefined list are ready to be included :
· Emails and contacts : add the path to Outlook, Outlook Express, Eudora, Thunderbird, if these programs are used on your computer system.
· My documents : the well known user folder.
· Common documents : the all users document folder
· Registry and Windows settings : the user Windows state.
· System volume : (XP only) when you select the System volume, Backup2005 Pro will run a System Restore and back up the hidden folder System Volume Information.

From the context popup menu you can clear the list or remove the selected folder.

4 The Where tab
If you have defined a default folders they will be displayed. You can change these value. Press the small folder button to browse your computer and pick a folder, or the [image] button to pick a network connection.
If you select a new network drive you will be prompted to create the network connection.

If you wish to upload the backup to an Ftp or HTTP server, check the FTP-HTTP item.
Select the connection you wish to use or create a new one.
When a backup must be uploaded it is first created on the folder destination, then uploaded to the server. Backup2005 Pro does not provide any connection, your computer must be connected to the network. If you wish to remove the local file, if the upload is performed successfully
check the Remove local file item.

5 The How tab
On these pages you can define the Backup mode and set some other options.

The Backup mode is a very important definition of the Backup set if you have set up the archive to be executed in Classic mode.

Full : In this case, all files matching the list and Include specifications, and not being excluded in the Exclude area, will be backed up. If Keep Archive Flags (see options) is not checked the archive flags of all files backed up will be reset after performing the backup.

Incremental is generally used after at least one full backup archive has been made. It processes only those files which are new, or have changed, since the last full (or last Incremental) backup.

The files archive flag determines this, it processes only the files with an archive flag that is set. If Keep Archive Flags ( see Options ) is not checked, then the archive flags of all files backed up will be reset after performing the backup.

First Full then Incremental : The first job is done as Full, subsequent jobs are done as Incremental.

When you select First Full then Incremental , the Reset group box becomes available.
When you select a Reset option ( every Week, every Month or Every x days) a full backup will be performed at the beginning of the period.

You can associate the First Full then... backup mode with the Reset option.
If you choose to reset every week, a full backup will be accomplished every new week, between these 2 dates jobs will be done as incremental.
If you choose to reset every month, a full backup will be accomplished every new month, during the month jobs will be done as incremental.
If you choose Every x days the default value is set to 1 day. Set up the number of days you need (minimum value is 1 and maximum value is 30 days)

With the reset you can associate a delete option.
The delete option lets you eliminate all previous jobs ( including former full backup ), or only intermediate jobs ( incremental or differential ). Of course, to be destroyed, the jobs must be available. This is designed for backing up through a network.

The Delete all former backup jobs is also available if you check the Full backup mode.

Backup Options

Options tab
Backup Hidden and System files : if checked, hidden and system files are included in the backup process, otherwise these files will be ignored.

Verify during backup : When checked, every single data block written to the backup archive is re-read and compared to the block intended to be written to ensure data integrity.

Process in background : Windows message queue is polled regularly, so other applications are not frozen.

No catalog : Catalog database is not updated.

Windows NT file security information : Backup2005 Pro is able to store extended file security information header. If you run Windows NT/2000/XP it is highly recommended to check this item. If you select the standard compression method this option will be ignored.

Keep archive flags : If checked, the archive flag will not be reset. Certain backup modes reset the archive flags of the files that were backed up successfully.

Use temporary file : if checked a temporary archive file will be created before being copied to the destination folder. This option is not available with Unique archive file mode (Unique archive file mode uses always temporary file)

Use alternative destination folder for intermediate jobs :
If you have defined an alternative folder (see Standard profile and options) you can redirect intermediate jobs (incremental) to this folder.

Split value tab
Split size : if you want to build spanned or multi-part archive files, indicate here the size of a part. Each part's size (in bytes) will be equal to the value indicated by the Split Size property, except for the last part which may be smaller. The file representing the first part of the zip file will have the ".zip" filename extension, while the remaining parts will be have the extensions ".z01", ".z02", and so on.
Split size is a key value if you wish to use CD or DVD burners. CD or DVD burners are not seen by the operating system as removable so indicate here the size of a blank media. Other removable media are split automatically.
You can select a predefined value.
If you don't define a split size value when using a CD or DVD with our internal burner driver the value will be calculated using the space available on the first medium inserted.
Please not : you can create multi-part archive files even if you don't use a removable medium.

CD-DVD options tab

Eject CD-DVD after burning : the burner tray is open. Please note if you don't eject the medium, the last file burned will not appear in the Windows Explorer.

CD-DVD perform a full erase : the medium will be erased before burning archive file. This process is longer than the standard quick erase. This option works only with our internal burner driver.

Finalize CD-DVD (only with our driver)
Media is closed and no more data can be added. If the media is rewriteable you will need to format it again to reuse it.

6 The Log file tab
Log file: a log file can be written while the software is backing up data.
If you don't want a log file, uncheck the log file group box.
Backup2005 Pro can produce a complete or summary log file. If you select a whole drive like C:\ to back-up, the log file type will be set automatically to Summary.

· Complete: each file backed up is described. Files not backed up due to an open error are listed.
· Summary: only general information and errors during backing up are listed here. This is recommended for large backup jobs.

If you check Show warnings, any warnings will be included in the log file.

7 The Include tab
By default all files are included.
You can manage this list to fit your needs.
The Select file type button predefines some useful types: Office, Internet, Pictures, Music, Videos. The multimedia option is equivalent to Pictures, Sounds and Videos.

If you wish to add, delete or modify an item in the list, move the cursor edit zone.
· to add a new item: add the extension in the edit zone (with an *.) and press the [image] button. If the extension is not already included it will be added to the list.

· to remove an item: select the item to be removed from the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the [image] button. The edit zone will be cleared and the item removed from the list.
· to clear the list press the [image] button.

Only file types listed here and included in the folder, or specific files, will be added to the archive .

8 The Exclude tab
The exclude panel lets you define types of file, specific file(s) or entire folder(s) to exclude.
The exclude list is already populated with the most common extensions of temporary files to be excluded.

You can manage this list to fit your needs.

If you wish to add, delete or modify an item in the list, move the cursor to the edit zone:
· to add a new item: add the extension in the edit zone (with an *.) and press the [image] button. If the extension is not already included it will be added to the list.

· to remove an item: select the item to be removed in the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the [image] button. The edit zone will be cleared and the item removed from the list.

· to clear the list press the [image] button

9 The Schedule tab
You can schedule a backup set to be executed at a defined time.
The Quick schedule tab allows you to schedule a task daily (or every x days). If the backup set is ready to be saved the Advanced Schedule wizard is highlighted. With the wizard you can of course schedule the task using more options.
Please note : to run the task the Windows scheduler needs to run the task from an user account with password.

10 The Compression tab
Backup2005 Pro offers three compression methods. For more details about the zip file format see also Zip file format
Define how data is compressed during the backup. Decompression during a restore is accomplished automatically.
If you select the lowest value, the data is stored on the backup media "as is."
With mid value compression rates, compression is a little weaker but the process is slightly quicker. Setting the compression to the max value results in somewhat smaller backup archives, but these are slightly slower in performance.

11 The Email tab
A message can be sent to an email address each time a job is done. You need first to complete the Standard profile .
If you uncheck the Email log file no email will be sent.
For a specific backup job you can change the Send to and From email addresses.
Backup2005 Pro can send a simple message with a resume of the process, or send the log file as an attachment of the message.
Message with or without log file can be sent only if errors or warnings occur.
You can also request email only for scheduled jobs.
Please note : Backup2005 Pro does not provide any connection to the Internet. Your computer must be connected.

12 The Retention tab
The retention allows to remove all backup components (archive files, log files and catalog) after a defined delay.
You can choose 1 day, 1 week or 1 month. You can also define a custom delay. The delay is always defined in number of hours.
All components are removed only if the last backup job has been successfully executed. Archive files are removed only if the destination folder is not a CD or a DVD (and of if they are always available on the destination folder).

13 The Other tab
If you check the password option box, the password and confirm password edit boxes will be ungrayed.
Passwords are stored in a database. If you provide the password here, you will not be prompted when the job is run.
This is useful if you plan to schedule a password protected backup job.
If you fail to provide the password here you will be prompted during the job.
Data is encrypted on the backup medium using the password. Without the proper password, restoration of the data within the backup archive will not be possible.

External archive file encryption : the archive file will be encrypted with a 256 bits AES encryption key. You can combine zip password and AES encryption.

You can add a comment that will be stored in the compressed backup file.

You can ask Backup2005 Pro to check the disk label before processing the back-up job.
The disk label is checked only when removable media is being used, ( including CD-RW).

If you schedule a job using label checking, you must take care to insert the right disk.

If the label is not recognized, the job will be interrupted.

14 Run tab
Any application can be executed before or after running a job.
Run before backup :
Click the Run before backup check box.
Browse your computer to pick the application to be executed.
Provide any parameters if needed.
Check the Run backup when application terminates if the result of the application is needed.
This is useful if you wish to run your antivirus software before backing up.

Run after backup tab
Any application can be executed when a job has been done. The application can be started only if the backup job is successful.
This option is useful if you wish to execute a specific task using the last archive file generated by Backup2005 Pro.
By example if you use a complex FTP connection that supersedes the one provided by Backup2005 Pro.
To set a task :
· click the run after checkbox item
· click the Application name button to pick the application to execute
· provide parameters needed by the application.
if the application needs to deal with the archive file generated by Backup2005 Pro design it by %% (double percent)
E.g; /open %% or simply %% (Refer to the application documentation).
Click the Only if backup successfully checkbox item if the application must be run only if the job is successfully done.

15 Messages tab
You can define a message to be displayed before the backup job start and a second message after job.
Don't use message if you plan to schedule this backup set.

Click the OK button to save your backup set definition and exit the dialog box, or the Backup Now if you want to save and start the job now.


Expert

shortcut : Ctrl + N
(see also Backup Set Concept )
(see also : Schedule job )

In Expert mode, folders and, or, files are selected directly in the main window. A specific tool bar is displayed.

Give a name to the backup set, select data, change the destination folder if necessary. You can access the standard profile from the tool bar.
Some options can be directly changed from the Options menu.

Click the Save button to save your new backup set.

Press Esc or the back button to return to the main display.


Create New from

The 'Create New From' function lets you create a new backup set from an existing backup set.

This function will copy the selected backup set to a new one.

To change the definition of the new copy, just click the File | Modify Backup set menu item.


Modify Backup Set

Shortcut : Ctrl + M

You can modify a Backup Set at any time.

To modify a Backup Set, select it in the explorer tree view. When selected, the Backup Set is displayed with the little check mark.

Within the tree view you can invoke the popup menu attached to the right mouse button, you can click the File | Modify Backup set menu item, or press the Ctrl+M shortcut.

The Modify backup set is displayed in the selected view mode (Beginner, Standard or Expert) filled with the Backup set definition.

You can remove, add or amend any property, apart from the name of the backup set.


Remove Backup set

Shortcut : Ctrl+Del

Backup sets can be removed at any time. For security purposes, only the definition file (.BKS), log files (.LOG) and scheduled jobs ( if any) are deleted. The catalog database is updated by deleting associated records.

When you have removed a backup set, the archive files are always available in the backup folder.

The function can be accessed from the File | Remove Backup set menu item, or from the popup menu attached to the explorer tree view, or by pressing the Ctrl+Del keys. The Backup set to be removed must be selected ( with the small check mark displayed ).


Synchronize

This function launch the Backup2005 Pro Synchronizer (see the synchronizer help file).
The synchronizer can't be used as a stand alone application.


Open archive file

shortcut : Ctrl + O

You can view and display the content of any archive file. This function allows you to restore one or more files, together with any particular folder, with or without subfolders. If a viewer is associated with the file type, Backup2005 Pro lets you to open and view it.

This function is independent from the active Backup set.
So you can open an archive file even if the backup set definition is no longer available.

The aspect of the open dialog box is dependant on your Windows version, (here Windows XP).

Select the file to display. If the file has been protected with an external AES encryption key you will prompted to provide the password.

The file is displayed in a tree view mode, like Windows Explorer.
The viewer function is designed to open a zip file built by Backup2005 Pro. This means that the drive designation is included in the in the data file description. Normal zip files or those generated by the Extract drive from file function can't be viewed here.
The file can also be displayed without the tree. Files are displayed in a single list (see View)

To close the View function click the Back button on the tool bar or press the ESC key.
A popup menu is available from the right mouse button.

The Tree view popup menu

· Restore to the original location will restore the selected folder to it original location.
· If you want to restore this folder to a different location, select the Restore to... menu item. You will be given a folder browser dialog box.
· If you want to restore the selected folder including subfolders, select one of the Restore with subfolders items.
· If the file is password protected first select the Set password item to provide it. If you don't provide a password you will be prompted each time you try to open an archived file.
· if you wish to locate quickly one or more files click the Search menu item.
· If a comment has been added to the archive file, the Get archive comment item is available.
· You can get general information about the current archive file if you select Archive information.

The file popup menu

You can restore one or more files from the file list view.
First select the file. The list supports multi selection, as your Windows Explorer does.

You can access the Search function from this menu.

With the Select all (Ctrl+A) function you can mark for selection the entire file list and unselect all with Ctrl+U or Unselect all menu item.

If the file is password protected first select the Set password item to provide it.

You can view any file from the archive file, if the file type is associated with an application or a viewer (by Windows), simply double click over the file name.


Search

When a zip file is open you can access the search function from the context menu available in the file list view or from the folder tree.
The search function

In the File(s) to search edit zone enter the file name (c:\myfolder\file.txt) or file.txt (all file.txt entries in the archive file will be displayed), or use skeletons like (* and ? are allowed).
You can perform more than one search at a time, just leave a space between two definitions. You can also use ',' or ';' as delimiters
E.g. : *.jpg *.html or *.jpg,*.html or *.jpg;*..html

When a search result is displayed you can process a second search based on this result. Click the Search on result item.

A popup menu is available when the result is displayed.

The Back menu item return to the zip file.


Search in archive file

This function is similar to the search function available from the Open archive file function, but you don't need to display the archive file.


Verify and repair achive file

Verify and repair archive file

Archive files are like others, they can be corrupted due to hardware problems or while transferring them through a network, downloading from a server or sending them using email.
The verify and repair function allows you to check the data integrity.
If a truncated file is found, Backup2005 Pro will try to repair it and make the archive file available.
This function can be used with any zip file even if it has not been built using Backup2005 Pro.
Pick the file to verify and repair. Click the small folder button to browse your computer.
You can get information about the file by clicking the Information button.

When ready press the OK button.

At the end of the process a message is displayed with information about files unavailable, files repaired or, if no error has been encountered, a message to that effect.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder). So if you check a very large archive file, you must be sure that you have enough free disk space to handle it.


Split archive file

This function is useful if you need to send a large archive file using email or if you wish to burn a file on a CD, that is larger than the space available on the media.
As there is no standard for cutting zip files, archive file split by Backup2005 Pro is not compatible with other zip applications, but this function can be used with any other archive file.

The archive file indicates the file to be split. Click the small folder button to browse your computer and pick the file. You can get information about this file by clicking the small Information button.

Indicate the destination file. Click the small folder button to browse your computer and pick a destination folder with a file name. An existing file can't be used as destination file.

Set up the size of each part. Default value is 102.400 bytes. Don't use a too small a size (e.g. 1Kb)

If you wish, the original file can be removed on successful completion.

When you are ready press the OK button.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when splitting a very large archive file you must ensure that enough free disk space is available.


Join spanned archive file

This function builds a unique archive file from a multi-part or spanned archive file.
This function can only be used with an archive file built with Backup2005 Pro.

Select the archive file to be joined. Click the small folder button to browse your computer. Click the small Information button to get details of the file to be joined.
Select the destination file. Click the small folder button to select a destination and file name. The destination file must not already exist.

The archive file can be removed if the operation is successful. Check the Remove archive file... item.

Press the OK button to start the operation.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when joining a very large archive file you must ensure that enough free disk space is available.


Extract drive from zip file

Backup2005 Pro stores the full file name in the archive file, including the drive letter. Most zip viewers including Winzip 8.1 are able to open and display such archive files. Unfortunately the zip file viewer coming with Windows XP is unable to display such a file correctly, so this function lets you to rebuild a zip file fully compatible with Windows XP file viewer. The drive part of the archived files will be removed (file must be zipped in standard compression mode)

Select the source archive file. Click the small folder button to browse your computer. You can get detail of the archive file by clicking the small Information button.
Select the destination file. Click the small folder button to select a place and a name for the new archive file. You can't use an existing file name as a Destination file.
The archive file can be removed if the operation is successful. Click the Remove archive file....item.

Press the OK button to start.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when working with a very large archive file, you must ensure that enough free disk space is available.


Decrypt file

You can decrypt here an archive file encrypted with the external AES encryption key. You will be prompted to provide the password then the folder destination of the decrypted file.
The encrypted file is finished with an underscore '_' (before the file extension).


File burner

The file burner function allows you to burn file(s) on CD or DVD.
Files are burned using our internal burner driver.
If burning backup file with the regular backup function failed, the archive file is stored in the burning stage area.
When you enter in the File burner function, files located in the burning stage area (and in the Windows XP burning stage area) are displayed here and ready to be burned.
The file list supports drag and drop so you can add any file you wish (open a Windows Explorer, pick the file to burn and drop it on the list).

To select a file just check it. All files checked will be burned. If your file selection size passes by the medium free space the burn button is grayed (you can use the Split archive function if needed)

When you burn data to a non blank medium, the last previous session is imported so burned files are always available (even with non finalized CD-R).

A context popup menu is available in the file list. From this popup you can select, unselect or invert selection. You can also delete selected file.

Once the files are burned you can remove these files (using the popup menu) or insert a new medium to burn these files again.


Print

When log file is displayed this function uses the Internet Explorer print function to print the current log file.


Standard Profile

With mid value compression rates, compression is a little weaker but the process is slightly quicker. Setting the compression to the max value results in somewhat smaller backup archives, but these are slightly slower in performance.

With the standard profile you can easily define a profile that will be reused each time you create a new backup set. Of course, a backup set built from a standard profile can still be adjusted.

In the Standard Profile you will also find the Email setup for sending a log file to a specific Email address each time a backup job completes. Simply check the Email option box.

The Where tab

Destination folders

On this page you can specify the folders destination for your backup jobs.
The Default folder is the main repository folder.
The Alternative folder will be used if the default folder is not available when the backup is started.
The Second copy folder will be used to store a copy of the archive file, because archive files are like others and can be corrupted or damaged by viruses.

To select a local folder click the [image] button to browse your computer and select the folder.
To select a network folder click the [image] to access the list of computers defined in Tools.

These folders can be changed at any time.

Ftp-Http

If you want to upload your compressed backup files to an Ftp or Http server, pick the default connection
If you have not yet define a connection click the Create connection button to create one.

If you use a non standard ftp port change the 21 to the value used by your system.

Check This computer is always connected if you wish to bypass the checking connection first.

Temporary folder

The Temporary folder is an important option. Backup2005 Pro can create archive file in memory or using a temporary folder before creating the final archive file.
Using a temporary folder is highly recommended. Use the in memory process only for small backup.
When choosing a temporary folder you must assume that there is enough space to process the data. An archive file of mixed data is around 50% of the data size.
The archive file can be stored on a local drive or on a network drive.
Backup2005 Pro can clean up this folder when the application is closed. Check the Clean-up when closing application item.

The How tab

Backup mode

The Backup mode is a very important definition of the Backup set, when you use the Classic mode backup.

Full : In this case, all files matching the list and any Include specifications and not being excluded in the Exclude page will be backed up. If Keep Archive Flags (see options) is not checked then the archive flags of all files backed up will be reset after performing the backup.

Incremental : Generally used after at least one full backup archive is stored. It processes only those files, which are new or have changed since the last full or Incremental backup. The files archive flag determines this, it processes only the files with an archive flag that is set. If Keep Archive Flags ( see Options ) is not checked, then the archive flags of all files backed up will be reset after performing the backup.

First Full then Incremental : The first job is done as a Full backup, subsequent jobs are done as Incremental.

When you select First Full then Incremental, the Reset group box becomes available.

When you select a Reset option ( every Week or every Month) a full backup will be performed when a new week or a new month starts.
A custom period is available when you define (or modify) a New backup set.

You can associate the First Full then... backup mode with the Reset option.

If you choose to reset every week, every week a full backup will be carried out. Subsequent jobs will be processed as incremental until the next full backup sequence begins.

Backup Options

Backup Hidden and System files : if checked, hidden and system files are included in the backup process, otherwise these files will be ignored.

Verify during backup : When checked, every single data block written to the backup archive is re-read and compared to the block intended to be written to ensure data integrity.

No catalog : Catalog database is not updated.

Use alternative destination folder for intermediate jobs
This option is available if the Alternative folder has been defined. If you check this option all incremental jobs will be stored into this folder.

Erase target removable media : if checked, all the files in the backup destination directory will be deleted before the backup is started. This is useful to reuse any backup media (e.g. disks) for another backup without having the user delete the old contents of the disk first.
This option works only for removable media.

Split size : you can define a value to create multi-part archive file. You can create multi-part archive file to span over multiple media using our burner driver. If you don't define a split size value, this value will be calculated at run time with the space available on the first medium inserted.

CD-DVD specific options :
Eject CD-DVD after burning : the burner tray is open after burning
Send email when a new medium is needed : an email is sent to the email address defined in the Email log file tab. This is useful if the backup is running on a different computer.
CD-DVD perform a full erase : if Erase target removable media is checked media are erased using a quick erase by default. If you which to process a complete erase check this option. If you use CD-R or DVD-R the option is ignored.

The Log file tab

Here you can specify the log file type.

If you select the Complete log file type : all operations are detailed in the log file, and each is described complete with back-up status.

If you select the Summary log file type : only general operations and errors are recorded, resulting in a smaller log file. If you use the Catalog option, this log file type is recommended.

If you check Show warnings, any warnings will be included in the log file.

Log files can be automatically cleaned-up, every week or every month.
Each time Backup2005 Pro is launched, log files are checked and deleted if they match the criteria selected.

The Exclude tab

Indicate here the file types you don't wish to back-up.

The exclude list is already populated with the most common extensions of temporary files to be excluded.

You can manage this list to fit your needs.

If you wish to add, delete or modify an item in the list, move the cursor to the edit zone:
· to add a new item: add the extension in the edit zone (with an *.) and press the [image] button. If the extension is not already included it will be added to the list.

· to remove an item: select the item to be removed in the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the [image] button. The edit zone will be cleared and the item removed from the list.

· to modify an item: select the item from the list (as detailed above), modify it in the edit zone and then press the [image] button. The item will be replaced by the text modified in the edit zone.
· to clear the list (not recommended) click the [image] button

The Compression tab

Compression method

Backup2005 Pro offers three compression methods. For more details about zip file format see also Zip file format

Define how data is compressed during the backup. Decompression during a restore is accomplished automatically.

If you select the lowest value, the data is stored on the backup media "as is."

Compression level :

With mid value compression rates, compression is a little weaker but the process is slightly quicker. Setting the compression to the max value results in somewhat smaller backup archives, but these are slightly slower in performance.

The Email log file tab

Email
Backup2005 Pro offers multiples options : simple message with a resume or message with log file as file attachment. The message can be sent only if errors or warnings occur.

Please note Backup2005 Pro does not provide any connection to the Internet. Your computer must already be connected.

Message will be sent using SMTP protocol (if your SMTP server needs authentication you must select Login and set the password). If you don't know the value check your Email client application.

Select the kind of message to send :

· Always log file as an attachment : the log file is sent after each backup job.

· Log as an attachment only if errors or warnings : the message is sent only if errors or warnings occur while processing. The log file is attached to the message.

· Always a message with a summary report : a message is sent with a short description of the job.

· Message only if errors and warnings : the summary message is sent only if errors or warnings are reported by the process.

If you want to receive Email only for scheduled backups, just check the Only if scheduled item.

SMTP

Fill the SMTP definition with your email account definition. These values are provided by your ISP.

Burner tab

The Burning stage area tab

The Burning stage area is used to build the archive file before burning it on the CD (or DVD).
It is possible to define your own burning stage area. This allow you to move this area to another disk partition to solve possible disk space limitation

Burner driver
If you wish to use your packet writer software (Direct Cd, Incd) you must select the None option (Read Using CD and DVD burner)
You can also use the Windows XP burner driver instead our internal driver.

Burner speed and block size
You select here the burner you wish to use by default.
Block size default value is 2048 and it is not necessary to change it. This value is provided in case you are using a non standard medium.

The Retention tab

You can define a delay to keep your archive files. After this delay archive files are removed. Of course archive files must be available to be removed.

The Run tab

The Run before and Run After options let you define applications to run before and/or after backup job. You can, by example, run an anti viruses software before starting the backup.

The Messages tab

You can define here a short message to be displayed before and/or after the backup job. If you plan to schedule backup when the user is not logged don't define any message.


Clean Disk

Backup2005 Pro includes a Clean disk function. This function lets you remove all temporary files.

To add an item, simply complete the edit zone and click the first small button [image]. The item is added to the list.
To delete an item, simply select the category from the list. The item name is now displayed in the edit zone. Click the second button [image] [image] to delete the item from the list.

To modify an item, select the item from the list. The item name is now displayed in the edit zone. Modify the item name and then click the third button [image]. The item name is now changed in the list.

The Shred files function overwrites the contents of the specified file and then deletes the file. This ensures that even if the underlying file system does not physically remove the file, its contents are effectively inaccessible.


Backup

shortcut : Ctrl + B

Backup2005 Pro offers 2 ways to backup your data.

You can execute the backup set from the Backup2005 Pro main program, or through the Windows Scheduler (if a job has been scheduled).

The Backup function can be used at any time, even if you have scheduled a backup job for this backup set.
First you need to make active the Backup Set you want to run. The active Backup Set is the one which is displayed with the little check mark.

To start the backup job you can click the Backup button on the toolbar or select the Actions | Backup menu item.

Backup2005 Pro finds all the files to be backed up using the specified options and Backup mode.

At any time you can abort the backup process.
When you click the Abort button, the job will be aborted and the dialog will be hidden only at the end of the current file process.
If you select a removable media, you will be prompted to insert a disk.

Keep in mind; removable media on a network are viewed as fixed.

Errors during process

There are two kinds of error that can occur while processing.

Errors that make it impossible to complete the process: the job is aborted, a message box is displayed with a short text to explain the problem (e.g. network not available, not enough disk space..)

The second kind of error occurs while processing a file. This kind of error, or warning, is generally reported in the log file.

About files in use by another process :
Backup2005 Pro is able to back-up file(s) in use by another process if the file is not locked by it. Files that are locked such as databases or Outlook '.pst' files can't be backed up while in use. You must first close the application to unlock the file. Generally it is a good idea to close all applications before backing up data.


Archive data

The archive data function is nothing but a full backup. But, unlike standard backup, all data included in the archive file are removed from the disk if the backup process has been completed successfully.
Archive data is useful if your work with projects.
Please note only files added to the archive file are removed from the disk. Folder(s) and excluded files are always available on disk.


Evaluate

You can evaluate the amount of data to back-up and the estimated archive file size for the current backup set.

The process shows the amount of data to process, the estimated archive file size, the compression rate and the number of files to be included.
Use this function when you are using removable drive or making a very large backup.


Restore

shortcut : Ctrl + R

Backup2005 Pro offers a lot of ways to restore a backup job : the Restore function (described here), through the Catalog view (see context menu), through the Open archive file function action (see context menu) or the command line and the Quick restore function. Of course you can also restore files by using a zip file utility like Winzip 8.1 or higher.

The Restore dialog box is similar to the create new backup set one.

The What tab

All backup jobs available are listed in the combobox at the top of this panel. If they are not, perhaps if stored on removable media, then use the browse button to select the required backup. You can get information about the file listed in the combobox by pressing the small information button.

If the backup jobs have been uploaded to an Ftp site, the Download button is highlighted and connection with the server must be made before attempting to restore.

You can restore a specific job, by selecting it in the list, or by asking Backup2005 Pro to restore from the last full backup performed. This last option is intended for use with the First full then... Backup set mode.

The last full backup is restored first then all subsequent jobs are treated according to the Restore files option.

To be run, all backup jobs must be available (e.g. network drives).

The Restore files option allows you to specify the way files are restored.

Setting this property to Don't care will restore any file regardless of the file's date. Setting this to Only most recent will only restore files which already exist on your system and are older than the files to be restored; and non existing files. The age of the files will be determined by the file's date.

The Where tab
Data can be restored to its original location or redirected to a specific location.
If you choose the second option, click the small folder button to select a folder. New folders can also be created at this time.

The How tab

No log file : with this option checked, no log file is written ( not recommended).

Flat restore : when checked, paths are completely ignored during the restore. If a file was originally named and located as c:\myfolder\myfile.doc for example, and the restore location you provide as c:\new\, then the final location for the file after the restore will be c:\new\myfolder\myfile.doc.

Ignore path root : the root path of the file archived is ignored. if you restore c:\myfolder\mysubfolder\myfile.doc to c:\new, the file will be restored as c:\new\mysubfolder\myfile.doc

Both Flat restore and Ignore path root are available only if the destination folder is different from the original.

Ignore NT attributes : if files have been backed up with NT attributes they can be restored without these attributes. This can be useful when restoring files on another computer, because files can become unreadable if you try to open them using another user account.

The Include tab : when you select the backup job to restore, all files included in the job file are listed here.

If you want to select one or more files, click the Show files button. The content is displayed.

This function is time consuming if you try to list and select from a huge backup file.

Select the file(s) you want to restore.
The list selection works like the standard Windows selection.

If you need only to restore a specific folder, choose the File | Open archive file, where you will find easier ways to achieve this.

The Filter tab

You can describe here the file type to be restored. Predefined lists are available from the Select file type menu to populate the list with skeletons.
File types predefined are Office files, Internet files, Pictures, Sounds, Videos and Multimedia.
You can add, remove or modify any item from the list.

If you wish to add, delete or modify an item in the list, move the cursor to the edit zone.
· to add a new item: add the extension in the edit zone (with an *.) and press the [image] button. If the extension is not already included it will be added to the list.

· to remove an item: select the item to be removed from the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the [image] button. The edit zone will be cleared and the item removed from the list.
To modify an item: select the item from the list (as above for remove), modify it in the edit zone and then press the [image] button. The item will be replaced by the text modified in the edit zone.
· You can clear the list by pressing the [image] button.
· Predefined extensions are available check the item from the radio group (office files, internet files, Pictures, Sounds, Videos, Multimedia). You can remove an entire group of extensions by unchecking the corresponding item.

The Exclude tab

You can specify here files to exclude from the restoration process. You can pick a file type from the popup menu attached to the Selected file type button.
You can add, remove or modify any item as described for the filter list.
The entire list can be cleared by pressing the [image] button.

Of course you can mix Include, Exclude and Filter options for complex needs.

The Password tab
If your backup job is password protected, provide it here.

When all needed options are filled up, the OK button is enabled and you can start the restore process.

The restore dialog box is displayed.

To abort the process, simply press the Abort button.

The log file created is named like the backup job being restored, with the letter R just before the file extension (.log or .html).
If you restore the same backup job more than once in a day, the description of the restore process is appended to the same log file.


Quick Restore

Quick restore is the fastest way to restore a specific file or group of files.

If you use the Restore or View function to display a file then select one or more files to restore, this method can be time consuming with huge backup files. Use the Quick restore to quickly restore a file or group of files.

All available backup files are listed in the combobox list.

If backup files are not available a browse button will be displayed on the bottom line.

If the destination edit zone is left blank, files will be restored to the original location, otherwise click the small folder button to browse your computer. If you restore files to a specific folder you can ask for a flat restore.

Add the files to restore. You can use skeletons, like *.doc or *.xls. All doc or xls files included in the backup file will be restored. You can use a full file name like c:\myfolder\myfile.doc (as myfile.doc is stored in the archive file).
Use a line per file or skeleton.

Or all files in a specific folder like c:\myfolder\*

If Files or folders is left blank, all files will be restored.

If Destination is different from the original you can choose to process a Flat restore or Ignore path root.
Here is an example of what you get when you redirect the extraction to another place :
if an archive file has two files :
c:\myfolder\file1.doc
c:\myfolder\mysubfolder\file2.xls
if you choose as destination C:\restorefolder
1. Flat restore and Ignore path root are unchecked you will get
C:\restorefolder\myfolder\file1.doc
C:\restorefolder\myfolder\mysubfolder\file2.xls

2. Flat restore checked you will get
C:\restorefolder\file1.doc
C:\restorefolder\file2.xls

3. Ignore path root checked you will get
C:\restorefolder\file1.doc
C:\restorefolder\mysubfolder\file2.xls

Check the Ignore NT attributes if you are restoring data on another computer.

Click the Ok button to start the restore process.


Schedule Job

shortcut : Ctrl + J
see also Scheduled Jobs

The Schedule Job function is available from
· The Actions | Schedule job menu item
· From the Create or Modify backup set (mode Beginner and Standard)
· From the tree context menu

If you create a new task for a backup job the Wizard is displayed, otherwise if a task already exists the Properties dialog box is shown.

Backup2005 Pro allows to create a single task running more than one backup set. The task is named with the first backup set name.

To schedule a task you computer must have the Windows task scheduler installed and running and an user account with password.
For advance usage of the Windows Scheduler see the Windows help file.

Advanced settings, like priority or idle time, are available from the Properties dialog box


Last Archive file

The Last archive file function displays the last archive file built for the selected Backup set.
The file must be available or a message will be displayed.
This is a shortcut to the Open archive file function.


Last log file

shortcut : Ctrl + L

This function brings you to the last log file of the active Backup Set.
When the log file is displayed, don't forget you have access to some interesting functions from the right mouse button popup menu.

If errors have been encountered during the process, they are described in the log file.

Selecting the Search Error function, or using the Ctrl+E shortcut, moves the cursor to the first error in the log file. Ctrl+E will move to the next error, if more than one.

Selecting the Find function, or using the Ctrl+F shortcut, will display a familiar Find dialog box. To find the next occurrence press the F3 key.


Remove catalog

This function is available from the main tree view popup menu.

The menu item is highlighted when the catalog is displayed.

You can remove all catalog entries for the current backup set or filter by date.

If you choose to filter by date, you must pick a valid date from the calendar combobox.

Regularly use the Remove Catalog function. The Catalog database will be smaller and faster.


Scheduled Jobs

See also Schedule Job

Backup2005 Pro provides a friendly interface to the Windows Scheduler.
Of course you must run a Windows version with the Microsoft Scheduler, otherwise the Backup2005 Pro Jobs Scheduler will fail.
If you use another scheduler see the Command line to provide right parameters to your scheduler.

.

All Backup2005 Pro scheduled tasks are listed here; one row by backup set.and a tool bar is added.

A context popup menu can be invoked from the right mouse button

· Refresh : the task list is refreshed
· Run now : the selected task is launched immediately
· Remove : the selected task is removed
· Properties : display the detail of the task. But from this dialog box you can add new trigger(s) or change some settings.
· Back : close the list.

The properties dialog box

If you wish to change or add a new trigger, move to the Schedule tab and click the Edit button. The Windows's task dialog box will be displayed.

If you wish to change some parameters, move to the Settings tab and change the Flags, the Idle time or the Priority value. Click the Apply button to record the changes.

For advance usage of the Windows Scheduler see the Windows help file.


Download from Ftp server

If you have defined the current active Backup set as Ftp uploadable, this menu item is highlighted.

This function lets you download any Backup jobs stored on your private Ftp server.

Please note, Backup2005 Pro does not provide Internet connection. You must connect to the Internet before using this function.

Once connected to your Ftp site ( the one described in the Backup set definition ), the Download from Ftp dialog box is displayed. All available backup jobs are listed.

Select the file(s) you want to download.

Complete the Download to area. By default, the temporary folder defined in the Standard Profile is used. You can browse your computer to change the default value by clicking the small folder button.

When you are ready, press the OK button.

The Ftp status messages are displayed.
This function is also available from the Restore dialog box.

If the files you are looking for is not in this folder, you can connect to another ftp location using the Connection combo box.
Of course you can download your files using any other ftp tool including your browser.


Search

Shortcut : Ctrl + S

The Search function helps you to locate a file or type of file, using a skeleton, among all the file descriptions stored in the Catalog database.

You can search through a particular Backup set or the entire database (check the Search all backup sets item).
You can use full file name like c:\myfolder\mydoc.doc
or
a skeleton with path name like c:\myfolder\*.doc
or c:\myfolder\mydoc??.doc
or process a wide search like *.doc
(Use one skeleton at a time)

Once you are ready, press the OK button to run the Search.

The result of your search is displayed like the picture below.

You can organize the view to suit your needs by moving header columns, to or from the grouping area.
Columns can be sorted in ascending or descending order (click over the header column).
Buttons at the bottom of the window let you navigate through the result.

A popup menu is attached to the right mouse button.

From this menu you can change the appearance of the grid (lines, color, font color ....). You can retrieve the original value by clicking the Reset menu item.

From this menu you can also directly access the archive file with the Open archive file item. If the file is available it will be opened through the Open archive file main function.
You can also restore file(s) directly from the search option. To do this, the archive file must be available and the search must include only a specific backup set. If the Search all backup sets option has been checked (in the Search dialog box) the Restore file menu item is disabled.
The grid supports multiple selection. In this case Open the archive file and Restore file only processes the first archive file.

To close the search result window click the Back button (on the toolbar) or press the ESC key.


Add a shortcut

The Add a shortcut function is available from the tree view context menu.

When you run this function, the Create a Shortcut dialog box is displayed:

Select a folder where the shortcut will be placed. If you select Other from the drop-down list, the location field becomes active. Click the small button to browse your computer and select the location you wish to use.

Click OK to create the shortcut.

The shortcut will launch the backup job transparently when you activate it.


Mode

You can create backup set using 3 modes :
· Beginner
· Standard
· Expert

Beginner

When beginner mode is activated the backup set creation is done through a wizard. Options defined through the Standard profile and options are used to create the backup set.

Standard

When standard mode is selected the backup set creation is done through a dialog box. Dialog box items are first populated by the values defined through the Standard profile and options and can be modified.

Expert

In Expert mode a new toolbar is displayed, and the file selection is done browsing your computer. You can adjust some settings through the toolbar or by accessing to the standard profile.


General report

The General report window shows you the state of all jobs done.

ok This bitmap indicates the job has been completed correctly.
attention This bitmap indicates one or more warnings (e.g. file locked ).
error This bitmap indicates a severe problem

Error and warning code are explained in the help file, you can access the help file by pressing the [image] button.

You can close the Report window by clicking the small red button on the status bar or by pressing the ESC key.

You can get the full problem description by double clicking above the job concerned.


Set General report as Default display

You can select this view to get the General Report as your main window.

If you have scheduled jobs to run overnight, you will see if any problem occurred during the process as soon as you launch Backup2005 Pro.
Just click the menu item to get it working.

At any time you can return to the standard display by pressing the Back button and unchecking this menu item.


Backup Map

The Backup map lets you to have a view over all the backup sets and their destinations.
The Backup map is not only a graphic presentation, it is also active. From the Backup map you can backup and restore any backup job. Modifying or creating a backup is also allowed.
The Backup map also has a unique feature : moving all backup sets from a destination to another source in one operation.

A popup menu is available from the right mouse button.

If a backup set is selected your can access the backup, restore or quick restore functions, in addition to the Modify backup set and Remove backup set.
If a destination is selected, you can move all backup sets pointing to this destination by using the Move to function.

The appearance of the Backup map can be changed by selecting a different orientation or by zooming or reducing the size of the objects.

The Backup map can be used as the default display.


Set Backup map as Default display

You can select this view to get the Backup map as your main window.
At any time you can return to the standard display by pressing the Back button and unchecking this menu item.


Status view

The Status view provides for each backup set :
· the last run
· the next job (if scheduled)
· the scheduler status (if any)
· the last archive file name.

If the backup set is scheduled an icon is displayed.

The view aspect is depending of the toolbar settings (small or large buttons). The grid lines can be hidden.
From the context menu available you can :
· run the backup
· restore file(s)
· display the last archive file
· Show (or hide) the grid line


Set Status View as default display

You can select this view to get the Status view as your main window.
At any time you can return to the standard display by pressing the Back button and unchecking this menu item.


View zip explorer

When checked archive file is displayed like a standard explorer tree view. When unchecked archive file content is shown in a list view.


Small buttons

Small buttons : the default toolbar is changed to a smaller toolbar with small buttons.


Large buttons

Large buttons : the default toolbar is restored.


Navigation panel style

The navigation panel style used in the New backup set dialog box , in the Standard Profile and Options and in the Restore dialog box can be changed here.
You can choose between 3 styles :
· XP Explorer style
· Office 11 task panel view (default)
· Office 11 navigation panel style.


Detail backup set style

You can change the aspect of the right panel of the main window.


Network access

The Network access maintain a list of network connection. You define here the access to a network folder.
The network access is used to establish the connection with a remote computer.
It is no longer necessary to define the network connection for each backup set. You have to pick the folder in the list. To access the list click the [image] button available near each folder definition. If this button is grayed this means that you don't have define network access.

The selected folder must be defined in an UNC file format (\\computer\folder...) and not in a mapped drive format (e.g. Z:\). Mapped drive are unknown when the user is not logged, so scheduled jobs will fail.

To change a network access definition pick the definition in the list using the [image] button.


FTP access

Unlike with previous Backup2004 Pro, it is no longer necessary to define a connection for each backup set.
Now the FTP-HTTP dialog box lets you to define a list from which you pick the connection needed when you are crating the backup set.
If you change a parameter of the connection (e.g. password) you don't need to change all concerned backup sets. Just change the parameter in this list.

Backup2005 Pro supports FTP, FTPS and HTTP protocol. With FTPS you need to have a valid certificate installed on your computer to access the server.

The url must start with ftp://ftp. or ftps://ftps. or http://www. the domain name and the folder where to store the archive file.
Of course you can also use IP address.
If the folder does not exist on the server, and if you have the rights, it will be created when testing the connection.
For HTTP protocol the folder must exist.

If you are connected to the internet through a proxy server check the Use proxy settings item. Proxy settings are defined in Firewall parameters (see Other tools)

Values of Use proxy settings, Tries and Time out can be set as default value. They will be proposed for the next Ftp-Http connection.

To add the connection to the list, first test the connection, click the [image] button. If the connection is successful click the [image] button.

To modify a connection select it in the Select combo box. change the parameter, test the connection and click the [image] button.

To remove a connection click the [image] button.


Audit

The Audit function allows you to view what is backed up and what is not

The audit main window

When you start the function, your computer browser is displayed. If a previous Audit report is available you can access it through the Report button. The number of backup sets is indicated. By default the Don't check file selection item is checked : files excluded by extension (e.g. *.tmp) are ignored and let as backed up. When this option is unchecked the process time can be very long (each file is compared with each mask included in the backup set). Please note : excluded files or folders designed by a full name are processed.

Click the Start button to launch the Audit.

All folders and files included in a backup set are checked. A report is available.

Audit report

For each backup set, the Audit function checks :
· the availability of each folder or file included in the backup set
· the availability of each folder or file excluded in the backup set
· the availability of the destination folder
· if the backup set is scheduled.

The report indicates when each backup set has been executed, and indicates if the registry is saved.

To return to the browser click the Report button again.

To exit the function click the Back button on the toolbar.

Please note, the Audit function concerns only the backup sets and not the synchronization scripts


Other Tools

Access protection
The Backup2005 Pro access can be protected by password.

Reset size and position
This function is useful if you change your screen resolution. All information about Backup2005 Pro windows size and position stored in a Form.ini file in the installation folder.

Skins :
You can change the aspect of the software by selecting the skin you wish.

MSN skin Media Player 10 skin

Real Player skin Xp Blue skin

Allow changing options :
This allows you to change some backup set options directly from the main window without having to load the Modify backup set dialog box.

Options
Backup mode | No
Content | No
Include | No
Exclude | No
Folder | Yes
Network | No
Ftp | No
Backup mode | No
Backup hidden and system | Yes
Erase target directory | Yes
Recurse folder | Yes
Verify file after back-up | Yes
No log file | Yes
No catalog | Yes
Backup | Yes
Keep archive flag | Yes
NT Security | Yes
Split size | No
Use temporary file | Yes
Use alternative destination folder | Yes
Finalize CD-DVD | Yes
Compression | No
Comment | Yes
Password | Yes
Label | Yes
Log file | Yes
Last full backup | Yes

Save backup sets

It is a good idea to save all backup set definitions on a floppy disk, or a flash memory device. This function save backup set ( .bks) and synchronization scripts (.syn)

Language :
Backup2005 Pro supports English and French languages.

Make bootable floppy disks : only available with Windows 2000. You need 4 formatted floppy disks and your original Windows 2000 CD.

Firewall parameters : If you are connected to the Internet through a firewall, and are using the ftp capabilities of Backup2005 Pro, set your firewall parameters here.

If you are not sure about the values you need, ask your system administrator.


Error code

0 no error
4 File skipped (older)
6,7 File ignored, not changed
12 File ignored not match the backup set definition

100,101,117,119 Zip file corrupted
102 Error writing data to the file
103 Could not open the file for reading
104 Could not read file
105 Could not move temporary file
106 Invalid password
107 Invalid CRC
108 Invalid uncompress file
109,110, 111 Central header does not match the file size
112 Can't create folder
113 Access denied
114 Can't create file-permission denied
116 Rename to an existing file
118 Can't set volume label
120 Disk full
121 Error compressing data
122 Error restoring data

300 Incomplete write
301 Invalid signature
302 Invalid central offset
303 Invalid local offset
304 Invalid descriptor offset
305 Junk in archive file
306 Security not supported
307 Could not obtain security information
308,309,310,311,312 Could not restore security information
313,314 Error in Unicode file name
315 Error in extra header size
316,317,318 Error in time stamp
319 Error in file count
320 File open
323 No files matched
324,325 Header differ
326 Invalid header
327 Data format not supported

500 Empty archive file
501 Error seeking in archive file
502 Premature end of file
503 Error opening archive file
504 Error creating temporary file
505 Error reading archive file
506 Error writing temporary file (check disk space available on the temporary folder location)
507 Error writing archive file (check destination folder)
508 Error moving temporary file (check disk space available on destination folder)
509 Nothing to do
510 Error updating file, a multi-part archive can't be updated
511 Out of memory
512 Split size too small
515 Can't update spanned archive
516 Backup2005 Pro was busy
517 Insert disk aborted
518 User abort
519 Not an archive file
520 Error compressing string
521,522,523,524,525 Invalid array
526 Warnings (see log file for details)
527 Files skipped
528 User abort
529 Error removing files

999 Unknown error


Command line

Backup2005 Pro can be used through a command line to open an archive file.
This is done to allow opening archive files through the Open with menu from the Windows Explorer.

Parameters : /b progress window is not visible
/bv progress window is visible
/m run multiple backup sets, progress windows is not visible
/mv run multiple backup sets, progress windows is visible.
The second parameter is the name of the backup set or the name of the rlu file stored in the Tasks subfolder. Rlu files are created when you select multiple backup sets in the scheduler wizard.

Each parameter must be surrounded by a double quote.

Example : azg "/b" "mybackupset"

The command line can be useful if you use a non standard scheduler. The working directory must be the Backup2005 Pro installation folder.


Contact us

RD Technologies

http://www.Backup2005.com

Email : >Rd@Backup2005.com

To be informed about new releases and new products :>Info@Backup2005.com

To report a problem : >Support@Backup2005.com
or consult the Backup2005 Pro forum : http://www.Backup2005.com/forum


Where to buy (to register)

Backup2005 Pro is a try before you buy software (shareware). You have 30 days to try it., and after this evaluation period you must buy a license in order to continue to use the software. If you need we can provide you a free temporary key to extend your trial period.

Single license | 65$US
Small business license (5 seats) | 99$US
Full license unlimited | 990$US
Non profit organization | 150$US
Family license (3 seats) | 75$US

Visit our site http://www.backup2005.com for the latest information on registering Backup2005 Pro


Other products

Backup2005 Synchronizer
Backup2005 Synchronizer is available as a stand alone product


License
Previous Top

1. Grant of License- This is a legal contract between you and RD Technologies. The terms of this Agreement govern your use of this program. By installing this software, you are agreeing to be bound by this Agreement. If you do not agree to the terms of this Agreement, please immediately erase the software from your computer memory. In consideration for your payment of the license fee, which is your purchase price of the software, RD Technologies grants to you a non-exclusive, non-transferable, limited license to use and display the software on a single computer. You may not copy it and give the copy to others to use or own, or use on a network. RD Technologies retains ownership and title to the software. This Agreement is not a sale of the original program or any copy. The software is licensed only to you and may not be transferred, assigned, rented, leased, sold or otherwise disposed of to anyone else.
2. Restrictions- The software is protected by both EU copyright law and international treaty provisions. Unauthorized copying of the software is expressly forbidden. You may not distribute copies of this software to others. You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the software. You may be held legally responsible for any copyright infringement that is caused or incurred by your failure to abide by the terms of this Agreement. Subject to these restrictions, you may make as many copies of the software as you need for archival use; for the sole purpose of backing up the software and protecting your investment from loss, as long as the archival copy contains the same proprietary notices as appear in the original copy of the software.
3. Termination- This Agreement is effective until terminated. This Agreement (including the above license) will terminate automatically, without notice from RD Technologies, if you fail to comply with any provisions of this Agreement. Upon termination you must destroy all copies of the software.
4. THE PRODUCT IS LICENSED "AS IS," AND RD Technologies DISCLAIMS ANY AND ALL OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. No RD Technologies dealer, distributor, agent or employee is authorized to make any modification or addition to the foregoing warranty. Some states do not allow the exclusion of implied warranties or limitations on how long an implied warranty may last, so the above limitations and exclusions may not apply to you. This warranty gives you the specific legal rights, and you may also have other rights, which vary from state to state.
5. Limitation of Liability- Under no circumstances shall RD Technologies be liable to you on account of any claim (whether based upon principles of contract, warranty, negligence or other tort, breach of any statutory duty, principles of indemnity, the failure of any limited remedy to achieve its essential purpose, or otherwise) for any special consequential, incidental, or exemplary damages, including but not limited to lost profits, or for any damages or sums paid by you to third parties, even if RD Technologies has been advised of the possibility of such damages.
6. Governing Law- This Agreement shall be governed by and construed in accordance with the laws of the Kingdom of Belgium. You consent to the exclusive jurisdiction of the state and federal courts located in Brussels for any and all disputes related to this Agreement.

RD Technologies License Agreement


.topic 1000
Backup2005 Pro  is a powerful yet easy to use backup and restore tool for Windows. Backup2005 Pro is compatible with the zip file format, including Pkzip Deflate64 format.
Backup2005 Pro is also able to synchronize folder, disks, net work disks. It includes Backup2005 Pro Synchronizer.
Backup2005 Pro uses an Explorer-like interface to easily access any backup set component.

With Backup2005 Pro   you can back-up your files to floppy disks, SuperDisks, hard drives, network drives, ZIP drives, JAZ, Syquest, SparQ, writable CD  (CD-R, CD-RW). Backup2005 Pro is compatible with the WIndows XP burner driver and provides its own driver for non XP systems.

Backup2005 Pro is organized around a Backup set. A backup set contains the definition of the backup.
It includes:
which data to back-up
where to back-up
how to back-up

Backing up and restoring will be very easy to do.

Backup2005 Pro, lets you define a standard profile for easy reuse when you define a new backup set.

Backup2005 Pro 'Unique archive file' mode allows you to always use the same archive file.

Backup2005 Pro   manages a catalog database where you can find details of each backup job. You will be able to consult, or search through, all backup jobs without opening individual backup files and even restore a single file from the catalog. Optionally, Backup2005 Pro  can be set to ignore the catalog

For each backup job, you can ask Backup2005 Pro to generate a log file.

After a backup job the log file can be sent to a specified Email address using SMTP protocol.

Any backup file can be viewed and restored even if the backup set does not exist  .

Backup2005 Pro  is able to upload and download the backup job to or from an Ftp or Http server.

Backup2005 Pro  offers a direct access to the Windows' task scheduler.

Restoring is as easy as pushing a button, but you can use sophisticated restoring options, including restoring a single file.
Restoring can be redirected to any destination. Backup2005 Pro lets you to restore individual files, groups of files, entire folders, with or without filters and, of course, a complete backup file.

See also :
Windows XP and Cd-writers
Zip file format
What's new
http://www.backup2005.com/forum
Demos online
version 4.1.1 build 115(May 9 2005)

.topic 1003
Archive files built with Backup2005 Pro use the well  known zip file format.
But a standard zip file is limited in size and number of file entries. Standard zip format is not enough to manage a large backup file. Pkzip (owner of Zip file format) has recently developed a new extended zip format called Deflate64.
Backup2005 Pro is able to build archive files using:
standard zip file (Pkzip2.04g)
Deflate64 zip file
Bzip file format.

All these formats are supported by Winzip 8.1 with a limitation for Deflate64. Winzip is unable to open zip file greater than 4GB. Backup2005 Pro can build (and open) files larger than 4GB.

If you run Windows 9x/Me with a FAT32 partition disk use the standard zip file, but you must take care of operating system limitations.
If you select standard zip file and the limitation is reached while backing up, the format is automatically adjusted (if your system supports it).
If you run a true 32 bits Windows system (WIndows NT/2000/XP) and NTFS disk partitions use Deflate64.
Bzip is highly recommended for multimedia files.

Backup2005 Pro supports multi-part files. Archive files can be split into small pieces (on a hard disk) or spanned over multiple media. There is no standard to cut zip files, so spanned files are not compatible with Winzip.  But if you need to restore spanned archive files with Winzip you can manually do it. See the FAQ section on the user forum.

The zip file viewer included in Windows XP supports only Pkzip 2.04g, and can't open archive files which include the full path name of the zipped file. Backup2005 Pro, as other backup software, includes the full name of a file. So even archive files built with standard zip format are not opened by Windows XP zip file viewer. If you need a perfect compatibility use the Extract drive from zip file to remove drive letter from the stored file path.

From version 4.1.1.114 the zip engine supports the Winzip AES encryption password (AES 256)

.topic 1001
Before starting with Backup2005 Pro, you need to understand how backup jobs are organized.
When you create a new backup set, the definition is stored in a file with a .BKS extension.

This file is placed into a subfolder of the Backup2005 Pro application folder named Bkset.
When you process a backup, Backup2005 Pro uses the definition to create the job.

Backed up data are stored in a compressed file. The file size is limited by your operating system and the file management used.
Backup2005 Pro offers also the way to store files directly to another destination (including CD and DVD) without compression. This mode is called 'Copy mode'

The maximum size of this file is 2GB  if you are running Windows 9x/Me with FAT32, 4GB if you run NT/2000/XP with a FAT32 disk partition and potentially unlimited with Windows NT/2000/XP and NTFS partition disk (18 million terabytes).

When you set the 'Classic archive file'  mode, this archive file is named with the Backup set name + the date (in year month day format) and time. This file is located in the folder specified when you create the Backup Set.
If you select the 'Unique archive file' mode this archive file is named with the same name as the Backup set.

During this process, a database stores information about files being processed. This database is called the Catalog.
This process can be disabled.

Another file is produced during the process. This file is called a log file and is stored in a Log subfolder.
Log files are text files, which contain a description of events occurring during backup, restore and other operations. They demonstrate if everything is working as it should, and help determine which files were backed up or restored.
Log files are optional.
Log files are named with the date ( year, month, day format) + time and a .LOG extension.
Log files can be set in complete or summary mode. In summary mode only errors and warnings are included.
You can choose to generate the log file as an html file. The extension file will be a .html.

When using the 'Classic archive file' mode the Backup Type is a key property of the Backup set.

A backup type allows you to specify how files should be selected for backup during a backup job. It also determines which files will be left for future backup jobs. Backup types rely on the archive attribute of a file. All files have the archive attribute and this is automatically updated by the operating system whenever a file is manipulated by any application. The attribute is checked to determine if a file has been modified since the last backup, and Backup2005 Pro uses this information, along with the backup type you have specified, to determine whether or not the file should be backed up during a given job.

There are three backup types.
Full   : Backup every file, regardless of the archive attribute. Resets the archive attribute after a file is backed up
Incremental   : Backup only the files that have the archive attribute set. Resets the archive attribute after a file is backed up.
First Full then Incremental   : the first job is built as a Full backup. Subsequent jobs are made as incremental.

The Reset option used with the last mode allows you to define a cycle Full->only changed files->Full->only...
So, you can safely maintain different versions of the same files

.topic 1002
If you don't like the large buttons, click the  View main menu item and check the Small buttons menu item.

The standard display (see also Tools | Allow changing options)

Backup2005 Pro   shows all your backup sets in an Explorer tree view mode.

All backup sets are  displayed in the left panel of the application window.
The check mark indicates the active backup set. The name of the active backup set is also displayed on the status bar.
Functions such as Backup, Restore, Modify Backup set ... relate always to the active Backup set.

In the right panel, the backup set definition is displayed. If you check the Tools | Allow changing options, some of the backup set options can be changed directly here without loading the Modify backup set dialog box.

A popup is available using the right mouse button.

When you browse the tree view, the applications right panel displays the content of the object selected.

As shown above, if the selected object is the Backup set itself, the definition will be displayed.
If you select the <Catalogs> item, the right panel will show the catalog database.

You can organize the catalog view as you wish. Move (or remove) the column header to the grouping area. Columns can be moved. If you want to sort the column, click over the header, click again to invert the sorting order.

This popup menu is activated using the right mouse button.

From the popup menu you can change the screen appearance by changing colors or drawing lines between rows.
If the archive file itself is available, you can restore one or more files to the original location. You can also directly open the archive file. This can be useful if you wish to read the content of an archived file.

If you select a log file from <log files>, the selected log file will be displayed.

Alternative interface

Backup2005 Pro offers three other interfaces : The General report, the Backup map and the Status view.
Move to the View menu to set the one of your choice.

The General report displays the list of all jobs executed. The most recent job is display first.

You can sort or organize the General report as you wish by dragging one or more column headers to the grouping area.

The Backup map shows in a graphical mode the list of all backup sets pointing to their destination folder. From the Backup map you can access every backup set description.

The Status view shows the list of all backup sets. If a task is scheduled for this backup set, the Scheduled jobs icon will be display.
The Status view indicates for each backup set the last job done, the next job (if scheduled), the scheduler status (if any) and the last archive file generated by Backup2005 Pro. From the Status view you can run a backup, restore files, access the last archive file. A context popup menu is available.

.topic 1010
When you launch Backup2005 Pro for the first time, you get this screen

The intro wizard describes the main functions of Backup205 Pro and allow you to start the Standard Profile
Backup2005 Pro will be launched only if a standard profile has been defined.
The wizard checks your system and displays alert if it finds FAT or FAT32 disk partition.
The wizard allows you to select your backup set creation mode.
Backup2005 Pro allows you to create backup set using 3 modes :
beginner : creation is done through a wizard. The backup set is created using the options defined through the Standard Profile
standard : like former Backup2004 Pro. The dialog box is populated with the values defined in the Standard Profile. You can change these values.
expert : no dialog box or wizard, selection is done through an explorer like panel and options can be changed through a tool bar.

The Standard Profile is displayed.

The main window is split in two panels, like your Windows Explorer.

All objects (backup set definitions, catalog, log files...) will be listed in the left panel. The selected object will be displayed in the right panel.
At this point you can  build your first Backup set or modify the Standard Profile, which will be used to create new backup sets.

To build your first Backup set click the New Backup set button or go to the File | New Backup set menu item or press the Ctrl + N keys.
To define a  Standard Profile  select the File | Standard Profile menu item.

The first time you launch the Backup2005 Pro main program (azg.exe), three subfolders are created in the Backup2005 Pro folder.
The Bkset folder will contain all backup set definitions ( file with .bks extension )
The Catalog folder will contain the Catalog database (Catalog.dat and Catalog.idx ) and the general report database (Genlog.dat, Genlog.blb and Genlog.idx).

Before starting a job you can evaluate the size of the archive file. This function is useful to check the number of media needed if the back-up destination is a removable media drive.

.topic 2010
The 'Create New From'   function lets you create a new backup set from an existing backup set.

This function will copy the selected backup set to a new one.

To change the definition of the new copy, just click the File | Modify Backup set menu item.

.topic 2030
Shortcut : Ctrl + M

You can modify a Backup Set at any time.

To modify a Backup Set, select it in the explorer tree view. When selected, the Backup Set is displayed with the little check mark.

Within the tree view you can invoke the popup menu attached to the right mouse button, you can click the File | Modify Backup set menu item, or press the Ctrl+M shortcut.

The Modify backup set is displayed in the selected view mode (Beginner, Standard or Expert) filled with the Backup set definition.

You can remove, add or amend any property, apart from the name of the backup set.

.topic 2050
Shortcut : Ctrl+Del

Backup sets can be removed at any time. For security purposes, only the definition file (.BKS), log files (.LOG) and scheduled jobs ( if any) are deleted. The catalog database is updated by deleting associated records.

When you have removed a backup set, the archive files are always available in the backup folder.

The function can be accessed from the File | Remove Backup set menu item, or from the popup menu attached to the explorer tree view, or by pressing the Ctrl+Del keys. The Backup set to be removed must be selected ( with the small check mark displayed ).

.topic 3035
shortcut : Ctrl + O

You can view and display the content of any archive file. This function allows you to restore one or more files, together with any particular folder, with or without subfolders. If a viewer is associated with the file type, Backup2005 Pro lets you to open and view it.

This function is independent from the active Backup set.
So you can open an archive file even if the backup set definition is no longer available.

The aspect of the open dialog box is dependant on your Windows version, (here Windows XP).

Select the file to display. If the file has been protected with an external AES encryption key you will prompted to provide the password.

The file is displayed in a tree view mode, like Windows Explorer.
The viewer function is designed to open a zip file built by Backup2005 Pro. This means that the drive designation is included in the in the data file description. Normal zip files or those generated by the Extract drive from file function can't be viewed here.
The file can also be displayed without the tree. Files are displayed in a single list (see View)

To close the View function click the Back button on the tool bar or press the ESC key.
A popup menu is available from the right mouse button.

The Tree view popup menu

Restore to the original location will restore the selected folder to it original location.
If you want to restore this folder to a different location, select the Restore to... menu item. You will be given a folder browser dialog box.
If you want to restore the selected folder including subfolders, select one of the Restore with subfolders items.
If the file is password protected first select the Set password item to provide it. If you don't provide a password you will be prompted each time you try to open an archived file.
if you wish to locate quickly one or more files click the Search menu item.
If a comment has been added to the archive file, the Get archive comment item is available.
You can get general information about the current archive file if you select Archive information.

The file popup menu

You can restore one or more files from the file list view.
First select the file. The list supports multi selection, as your Windows Explorer does.

You can access the Search function from this menu.

With the Select all (Ctrl+A) function you can mark for selection the entire file list and unselect all with Ctrl+U or Unselect all menu item.

If the file is password protected first select the Set password item to provide it.

You can view any file from the archive file, if the file type is associated with an application or a viewer (by Windows), simply double click over the file name.

.topic 30351
When a zip file is open you can access the search function from the context menu available in the file list view or from the folder tree.
The search function

In the File(s) to search edit zone enter the file name (c:\myfolder\file.txt) or file.txt (all file.txt entries in the archive file will be displayed), or use skeletons like (* and ? are allowed).
You can perform more than one search at a time, just leave a space between two definitions. You can also use ',' or ';' as delimiters
E.g. : *.jpg *.html or *.jpg,*.html or *.jpg;*..html

When a search result is displayed you can process a second search based on this result. Click the Search on result item.

A popup menu is available when the result is displayed.

The Back menu item return to the zip file.

.topic 2055
Archive files are like others, they can be corrupted due to hardware problems or while transferring them through a network, downloading from a server or sending them using email.
The verify and repair function allows you to check the data integrity.
If a truncated file is found, Backup2005 Pro will try to repair it and make the archive file available.
This function can be used with any zip file even if it has not been built using Backup2005 Pro.
Pick the file to verify and repair. Click the small folder button to browse your computer.
You can get information about the file by clicking the Information button.

When ready press the OK button.

At the end of the process a message is displayed with information about files unavailable, files repaired or, if no error has been encountered, a message to that effect.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder). So if you check a very large archive file, you must be sure that you have enough free disk space to handle it.

.topic 2056
This function is useful if you need to send a large archive file using email or if you wish to burn a file on a CD, that is larger than the space available on the media.
As there is no standard for cutting zip files, archive file split by Backup2005 Pro is not compatible with other zip applications, but this function can be used with any other archive file.

The archive file indicates the file to be split. Click the small folder button to browse your computer and pick the file. You can get information about this file by clicking the small Information button.

Indicate the destination file. Click the small folder button to browse your computer and pick a destination folder with a file name. An existing file can't be used as destination file.

Set up the size of each part. Default value is 102.400 bytes. Don't use a too small a size (e.g. 1Kb)

If you wish, the original file can be removed on successful completion.

When you are ready press the OK button.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when splitting a very large archive file you must ensure that enough free disk space is available.

.topic 2057
This function builds a unique archive file from a multi-part or spanned archive file.
This function can only be used with an archive file built with Backup2005 Pro.

Select the archive file to be joined. Click the small folder button to browse your computer. Click the small Information button to get details of the file to be joined.
Select the destination file. Click the small folder button to select a destination and file name. The destination file must not already exist.

The archive file can be removed if the operation is successful. Check the Remove archive file... item.

Press the OK button to start the operation.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when joining a very large archive file you must ensure that enough free disk space is available.

.topic 2058
Backup2005 Pro stores the full file name in the archive file, including the drive letter. Most zip viewers including Winzip 8.1 are able to open and display such archive files. Unfortunately the zip file viewer coming with Windows XP is unable to display such a file correctly, so this function lets you to rebuild a zip file fully compatible with Windows XP file viewer. The drive part of the archived files will be removed (file must be zipped in standard compression mode)

Select the source archive file. Click the small folder button to browse your computer. You can get detail of the archive file by clicking the small Information button.
Select the destination file. Click the small folder button to select a place and a name for the new archive file. You can't use an existing file name as a Destination file.
The archive file can be removed if the operation is successful. Click the Remove archive file....item.

Press the OK button to start.

This function uses a temporary folder (the one provided in the Standard Profile dialog box, or the standard Windows Temporary folder), so when working with a very large archive file, you must ensure that enough free disk space is available.

.topic 2060
The file burner function allows you to burn file(s) on CD or DVD.
Files are burned using our internal burner driver.
If burning backup file with the regular backup function failed, the archive file is stored in the burning stage area.
When you enter in the File burner function, files located in the burning stage area (and in the Windows XP burning stage area) are displayed here and ready to be burned.
The file list supports drag and drop so you can add any file you wish (open a Windows Explorer, pick the file to burn and drop it on the list).

To select a file just check it. All files checked will be burned. If your file selection size passes by  the medium free space the burn button is grayed (you can use the Split archive function if needed)

When you burn data to a non blank medium, the last previous session is imported so burned files are always available (even with non finalized CD-R).

A context popup menu is available in the file list. From this popup you can select, unselect or invert selection. You can also delete selected file.

Once the files are burned you can remove these files (using the popup menu) or insert a new medium to burn these files again.

.topic 2070
With mid value compression rates, compression is a little weaker but the process is slightly quicker. Setting the compression to the max value results in somewhat smaller backup archives, but these are slightly slower in performance.

With the standard profile you can easily define a profile that will be reused each time you create a new backup set. Of course, a backup set built from a standard profile can still be adjusted.

In the Standard Profile you will also find the Email setup for sending a log file to a specific Email address each time a backup job completes. Simply check the Email option box.

The Where tab

    Destination folders

On this page you can specify the folders destination for your backup jobs.
The Default folder is the main repository folder.
The Alternative folder will be used if the default folder is not available when the backup is started.
The Second copy folder will be used to store a copy of the archive file, because archive files are like others and can be corrupted or damaged by viruses.

To select a local folder click the   button to browse your computer and select the folder.
To select a network folder click the   to access the list of computers defined in Tools.

These folders can be changed at any time.

    Ftp-Http

If you want to upload your compressed backup files to an Ftp or Http server, pick the default connection
If you have not yet define a connection click the Create connection button to create one.

If you use a non standard ftp port change the 21 to the value used by your system.

Check This computer is always connected if you wish to bypass the checking connection first.

    Temporary folder

The Temporary folder is an important option. Backup2005 Pro can create archive file in memory or using a temporary folder before creating the final archive file.
Using a temporary folder is highly recommended. Use the in memory process only for small backup.
When choosing a temporary folder you must assume that there is enough space to process the data. An archive file of mixed data is around 50% of the data size.
The archive file can be stored on a local drive or on a network drive.
Backup2005 Pro can clean up this folder when the application is closed. Check the Clean-up when closing application item.

The How tab

    Backup mode

The Backup mode is a very important definition of the Backup set, when you use the Classic mode backup.

Full   : In this case, all files matching the list and any Include specifications and not being excluded in the Exclude page will be backed up. If Keep Archive Flags (see options) is not checked then the archive flags of all files backed up will be reset after performing the backup.

Incremental  : Generally used after at least one full backup archive is stored. It processes only those files, which are new or have changed since the last full or Incremental backup. The files archive flag determines this, it processes only the files with an archive flag that is set. If Keep Archive Flags ( see Options ) is not checked, then the archive flags of all files backed up will be reset after performing the backup.

First Full then Incremental : The first job is done as a Full backup, subsequent jobs are done as Incremental.

When you select First Full then Incremental, the Reset group box becomes available.

When you select a Reset option ( every Week or every Month) a full backup will be performed when a new week or a new month starts.
A custom period is available when you define (or modify) a New backup set.

You can associate the First Full then... backup mode with the Reset option.

If you choose to reset every week, every week a full backup will be carried out. Subsequent jobs will be processed as incremental until the next full backup sequence begins.

    Backup Options

Backup Hidden and System files  : if checked, hidden and system files are included in the backup process, otherwise these files will be ignored.

Verify during backup  :  When checked, every single data block written to the backup archive is re-read and compared to the block intended to be written to ensure data integrity.

No catalog  :  Catalog database is not updated.

Use alternative destination folder for intermediate jobs
This option is available if the Alternative folder has been defined. If you check this option all incremental jobs will be stored into this folder.

Erase target removable media  :  if checked, all the files in the backup destination directory will be deleted before the backup is started. This is useful to reuse any backup media (e.g. disks) for another backup without having the user delete the old contents of the disk first.
This option works only for removable media.

Split size : you can define a value to create multi-part archive file. You can create multi-part archive file to span over multiple media using our burner driver.  If you don't define a split size value, this value will be calculated at run time with the space available on the first medium inserted.

CD-DVD specific options :
Eject CD-DVD after burning : the burner tray is open after burning
Send email when a new medium is needed : an email is sent to the email address defined in the Email log file tab. This is useful if the backup is running on a different computer.
CD-DVD perform a full erase : if Erase target removable media is checked media are erased using a quick erase by default. If you which to process a complete erase check this option. If you use CD-R or DVD-R the option is ignored.

The Log file tab

Here you can specify the log file type.

If you select the Complete log file type : all operations are detailed in the log file, and each is described complete with back-up status.

If you select the Summary log file type : only general operations and errors are recorded, resulting in a smaller log file. If you use the Catalog option, this log file type is recommended.

If you check Show warnings, any warnings will be included in the log file.

Log files can be automatically cleaned-up, every week or every month.
Each time Backup2005 Pro is launched, log files are checked and deleted if they match the criteria selected.

The Exclude tab

Indicate here the file types you don't wish to back-up.

The exclude list is already populated with the most common extensions of temporary files to be excluded.

You can manage this list to fit your needs.

If you wish to add, delete or modify an item in the list, move the cursor to the edit zone:
to add a new item: add the extension in the edit zone (with an *.) and press the   button. If the extension is not already included it will be added to the list.

to remove an item: select the item to be removed in the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the   button. The edit zone will be cleared and the item removed from the list.

to modify an item: select the item from the list (as detailed above), modify it in the edit zone and then press the   button. The item will be replaced by the text modified in the edit zone.
to clear the list (not recommended) click the   button

The Compression tab

Compression method

Backup2005 Pro offers three compression methods. For more details about zip file format see also Zip file format

Define how data is compressed during the backup. Decompression during a restore is accomplished automatically.

If you select the lowest value, the data is stored on the backup media "as is."

Compression level :

With mid value compression rates, compression is a little weaker but the process is slightly quicker. Setting the compression to the max value results in somewhat smaller backup archives, but these are slightly slower in performance.

The Email log file tab

Email
Backup2005 Pro offers multiples options : simple message with a resume or message with log file as file attachment. The message can be sent only if errors or warnings occur.

Please note Backup2005 Pro does not provide any connection to the Internet. Your computer must already be connected.

Message will be sent using SMTP protocol (if your SMTP server needs authentication you must select Login and set the password). If you don't know the value check your Email client application.

Select the kind of message to send :

Always log file as an attachment : the log file is sent after each backup job.

Log as an attachment only if errors or warnings : the message is sent only if errors or warnings occur while processing. The log file is attached to the message.

Always a message with a summary report : a message is sent with a short description of the job.

Message only if errors and warnings : the summary message is sent only if errors or warnings are reported by the process.

If you want to receive Email only for scheduled backups, just check the Only if scheduled item.

SMTP

Fill the SMTP definition with your email account definition. These values are provided by your ISP.

Burner tab

The Burning stage area tab

The Burning stage area is used to build the archive file before burning it on the CD (or DVD).
It is possible to define your own burning stage area. This allow you to move this area to another disk partition to solve possible disk space limitation

Burner driver
If you wish to use your packet writer software (Direct Cd, Incd) you must select the None option (Read Using CD and DVD burner)
You can also use the Windows XP burner driver instead our internal driver.

Burner speed and block size
You select here the burner you wish to use by default.
Block size default value is 2048 and it is not necessary to change it. This value is provided in case you are using a non standard medium.

The Retention tab

You can define a delay to keep your archive files. After this delay archive files are removed. Of course archive files must be available to be removed.

The Run tab

The Run before and Run After options let you define applications to run before and/or after backup job. You can, by example, run an anti viruses software before starting the backup.

The Messages tab

You can define here a short message to be displayed before and/or after the backup job. If you plan to schedule backup when the user is not logged don't define any message.

.topic 2080
Backup2005 Pro includes a Clean disk function. This function lets you remove all temporary files.

To add an item, simply complete the edit zone and click the first small button  . The item is added to the list.
To delete an item, simply select the category from the list. The item name is now displayed in the edit zone. Click the second button   to delete the item from the list.

To modify an item, select the item from the list. The item name is now displayed in the edit zone. Modify the item name and then click the third button  . The item name is now changed in the list.

The Shred files function overwrites the contents of the specified file and then deletes the file. This ensures that even if the underlying file system does not physically remove the file, its contents are effectively inaccessible.

.topic 3000
shortcut : Ctrl + B

Backup2005 Pro offers 2 ways to backup your data.

You can execute the backup set from the Backup2005 Pro main program, or through the Windows Scheduler (if a job has been scheduled).

The Backup function can be used at any time, even if you have scheduled a backup job for this backup set.
First you need to make active the Backup Set you want to run. The active Backup Set is the one which is displayed with the little check mark.

To start the backup job you can click the Backup button on the toolbar or select the Actions | Backup menu item.

Backup2005 Pro finds all the files to be backed up using the specified options and Backup mode.

At any time you can abort the backup process.
When you click the Abort button, the job will be aborted and the dialog will be hidden only at the end of the current file process.
If you select a removable media, you will be prompted to insert a disk.

Keep in mind; removable media on a network are viewed as fixed.

Errors during process

There are two kinds of error that can occur while processing.

Errors that make it impossible to complete the process: the job is aborted, a message box is displayed with a short text to explain the problem (e.g. network not available, not enough disk space..)

The second kind of error occurs while processing a file. This kind of error, or warning, is generally reported in the log file.

About files in use by another process :
Backup2005 Pro is able to back-up file(s) in use by another process if the file is not locked by it. Files that are locked such as databases or Outlook '.pst' files can't be backed up while in use. You must first close the application to unlock the file. Generally it is a good idea to close all applications before backing up data.

.topic 3010
The archive data function is nothing but a full backup. But, unlike standard backup, all data included in the archive file are removed from the disk if the backup process has been completed successfully.
Archive data is useful if your work with projects.
Please note only files added to the archive file are removed from the disk. Folder(s) and excluded files are always available on disk.

.topic 3015
You can evaluate the amount of data to back-up and the estimated archive file size for the current backup set.

The process shows the amount of data to process, the estimated archive file size, the compression rate and the number of files to be included.
Use this function when you are using removable drive or making a very large backup.

.topic 3020
shortcut : Ctrl + R

Backup2005 Pro offers a lot of ways to restore a backup job : the Restore function (described here), through the Catalog view (see context menu), through the Open archive file function action (see context menu) or the command line and the Quick restore function. Of course you can also restore files by using a zip file utility like Winzip 8.1 or higher.

The Restore dialog box is similar to the create new backup set one.

The What tab

All backup jobs available are listed in the combobox at the top of this panel. If they are not, perhaps if stored on removable media, then use the browse button to select the required backup. You can get information about the file listed in the combobox by pressing the small information button.

If the backup jobs have been uploaded to an Ftp site, the Download button is highlighted and connection with the server must be made before attempting to restore.

You can restore a specific job, by selecting it in the list, or by asking Backup2005 Pro to restore from the last full backup performed. This last option is intended for use with the First full then...   Backup set mode.

The last full backup is restored first then all subsequent jobs are treated according to the Restore files option.

To be run, all backup jobs must be available (e.g. network drives).

The Restore files option allows you to specify the way files are restored.

Setting this property to Don't care  will restore any file regardless of the file's date. Setting this to Only most recent will only restore files which already exist on your system and are older than the files to be restored; and non existing files. The age of the files will be determined by the file's date.

The Where tab
Data can be restored to its original location or redirected to a specific location.
If you choose the second option, click the small folder button to select a folder. New folders can also be created at this time.

The How tab

No log file : with this option checked, no log file is written ( not recommended).

Flat restore : when checked, paths are completely ignored during the restore. If a file was originally named and located as c:\myfolder\myfile.doc for example, and the restore location you provide as  c:\new\, then the final location for the file after the restore will be c:\new\myfolder\myfile.doc.

Ignore path root : the root path of the file archived is ignored. if you restore c:\myfolder\mysubfolder\myfile.doc to c:\new, the file will be restored as c:\new\mysubfolder\myfile.doc

Both Flat restore and Ignore path root are available only if the destination folder is different from the original.

Ignore NT attributes : if files have been backed up with NT attributes they can be restored without these attributes. This can be useful when restoring files on another computer, because files can become unreadable if you try to open them using another user account.

The Include tab  : when you select the backup job to restore, all files included in the job file are listed here.

If you want to select one or more files, click the Show files button. The content is displayed.

This function is time consuming if you try to list and select from a huge backup file.

Select the file(s) you want to restore.
The list selection works like the standard Windows selection.

If you need only to restore a specific folder, choose the File | Open archive file, where you will find easier ways to achieve this.

The Filter tab

You can describe here the file type to be restored. Predefined lists are available from the Select file type menu to populate the list with skeletons.
File types predefined are Office files, Internet files, Pictures, Sounds, Videos and Multimedia.
You can add, remove or modify any item from the list.

If you wish to add, delete or modify an item in the list, move the cursor to the edit zone.
to add a new item: add the extension in the edit zone (with an *.) and press the   button. If the extension is not already included it will be added to the list.

to remove an item: select the item to be removed from the list (just click over it - the line will be highlighted). The item will be displayed in the edit zone. Press the   button. The edit zone will be cleared and the item removed from the list.
To modify an item: select the item from the list (as above for remove), modify it in the edit zone and then press the   button. The item will be replaced by the text modified in the edit zone.
You can clear the list by pressing the   button.
Predefined extensions are available check the item from the radio group (office files, internet files, Pictures, Sounds, Videos, Multimedia). You can remove an entire group of extensions by unchecking the corresponding item.

The Exclude tab

You can specify here files to exclude from the restoration process. You can pick a file type from the popup menu attached to the Selected file type button.
You can add, remove or modify any item as described for the filter list.
The entire list can be cleared by pressing the   button.

Of course you can mix Include, Exclude and Filter options for complex needs.

The Password tab
If your backup job is password protected, provide it here.

When all needed options are filled up, the OK button is enabled and you can start the restore process.

The restore dialog box is displayed.

To abort the process, simply press the Abort button.

The log file created is named like the backup job being restored, with the letter R just before the file extension (.log or .html).
If you restore the same backup job more than once in a day, the description of the restore process is appended to the same log file.

.topic 3022
Quick restore is the fastest way to restore a specific file or group of files.

If you use the Restore or View  function to display a file then select one or more files to restore, this method can be time consuming with huge backup files. Use the Quick restore to quickly restore a file or group of files.

All available backup files are listed in the combobox list.

If backup files are not available a browse button will be displayed on the bottom line.

If the destination edit zone is left blank, files will be restored to the original location, otherwise click the small folder button to browse your computer. If you restore files to a specific folder you can ask for a flat restore.

Add the files to restore. You can use skeletons, like *.doc or *.xls. All doc or xls files included in the backup file will be restored. You can use a full file name like c:\myfolder\myfile.doc (as myfile.doc is stored in the archive file).
Use a line per file or skeleton.

Or all files in a specific folder like c:\myfolder\*

If Files or folders is left blank, all files will be restored.

If Destination is different from the original you can choose to process a Flat restore or Ignore path root.
Here is an example of what you get when you redirect the extraction to another place :
if an archive file has two files :
c:\myfolder\file1.doc
c:\myfolder\mysubfolder\file2.xls
if you choose as destination C:\restorefolder
1.	Flat restore and Ignore path root are unchecked you will get
C:\restorefolder\myfolder\file1.doc
C:\restorefolder\myfolder\mysubfolder\file2.xls

2.   Flat restore checked you will get
C:\restorefolder\file1.doc
C:\restorefolder\file2.xls

3.   Ignore path root checked you will get
C:\restorefolder\file1.doc
C:\restorefolder\mysubfolder\file2.xls

Check the Ignore NT attributes if you are restoring data on another computer.

Click the Ok button to start the restore process.

.topic 3023
shortcut : Ctrl + J
see also Scheduled Jobs

The Schedule Job function is available from
The Actions | Schedule job menu item
From the Create or Modify backup set (mode Beginner and Standard)
From the tree context menu

If you create a new task for a backup job the Wizard is displayed, otherwise if a task already exists the Properties dialog box is shown.

Backup2005 Pro allows to create a single task running more than one backup set.  The task is named with the first backup set name.

To schedule a task you computer must have the Windows task scheduler installed and running and an user account with password.
For advance usage of the Windows Scheduler see the Windows help file.

Advanced settings, like priority or idle time, are available from the Properties dialog box

.topic 3025
The Last archive file function displays the last archive file built for the selected Backup set.
The file must be available or a message will be displayed.
This is a shortcut to the Open archive file function.

.topic 3030
shortcut : Ctrl + L

This function brings you to the last log file of the active Backup Set.
When the log file is displayed, don't forget you have access to some interesting functions from the right mouse button popup menu.

If errors have been encountered during the process, they are described in the log file.

Selecting the Search Error function, or using the Ctrl+E shortcut, moves the cursor to the first error in the log file. Ctrl+E will move to the next error, if more than one.

Selecting the Find function, or using the Ctrl+F shortcut, will display a familiar Find dialog box. To find the next occurrence press the F3 key.

.topic 3070
This function is available from the main tree view popup menu.

The menu item is highlighted when the catalog is displayed.

You can remove all catalog entries for the current backup set or filter by date.

If you choose to filter by date, you must pick a valid date from the calendar combobox.

Regularly use the Remove Catalog function. The Catalog database will be smaller and faster.

.topic 3045
See also Schedule Job

Backup2005 Pro provides a friendly interface to the Windows Scheduler.
Of course you must run a Windows version with the Microsoft Scheduler, otherwise the Backup2005 Pro Jobs Scheduler will fail.
If you use another scheduler see the Command line to provide right parameters to your scheduler.

.

All Backup2005 Pro scheduled tasks are listed here; one row by backup set.and a tool bar is added.

A context popup menu can be invoked from the right mouse button

Refresh : the task list is refreshed
Run now : the selected task is launched immediately
Remove : the selected task is removed
Properties : display the detail of the task. But from this dialog box you can add new trigger(s) or change some settings.
Back : close the list.

The properties dialog box

If you wish to change or add a new trigger, move to the Schedule tab and click the Edit button. The Windows's task dialog box will be displayed.

If you wish to change some parameters, move to the Settings tab and change the Flags, the Idle time or the Priority value. Click the Apply button to record the changes.

For advance usage of the Windows Scheduler see the Windows help file.

.topic 3050
If you have defined the current active Backup set as Ftp uploadable, this menu item is highlighted.

This function lets you download any Backup jobs stored on your private Ftp server.

Please note, Backup2005 Pro does not provide Internet connection. You must connect to the Internet before using this function.

Once connected to your Ftp site ( the one described in the Backup set definition ), the Download from Ftp dialog box is displayed. All available backup jobs are listed.

Select the file(s) you want to download.

Complete the Download to area. By default, the temporary folder defined in the Standard Profile is used. You can browse your computer to change the default value by clicking the small folder button.

When you are ready, press the OK button.

The Ftp status messages are displayed.
This function is also available from the Restore dialog box.

If the files you are looking for is not in this folder, you can connect to another ftp location using the Connection combo box.
Of course you can download your files using any other ftp tool including your browser.

.topic 3060
Shortcut : Ctrl + S

The Search function helps you to locate a file or type of file, using a skeleton, among all the file descriptions stored in the Catalog database.

You can search through a particular Backup set or the entire database (check the Search all  backup sets item).
You can use full file name like c:\myfolder\mydoc.doc
or
a skeleton with path name like c:\myfolder\*.doc
or c:\myfolder\mydoc??.doc
or process a wide search like *.doc
(Use one skeleton at a time)

Once you are ready, press the OK button to run the Search.

The result of your search is displayed like the picture below.

You can organize the view to suit your needs by moving header columns, to or from the grouping area.
Columns can be sorted in ascending or descending order (click over the header column).
Buttons at the bottom of the window let you navigate through the result.

A popup menu is attached to the right mouse button.

From this menu you can change the appearance of the grid (lines, color, font color ....). You can retrieve the original value by clicking the Reset menu item.

From this menu you can also directly access the archive file with the Open archive file item. If the file is available it will be opened through the Open archive file main function.
You can also restore file(s) directly from the search option. To do this, the archive file must be available and the search must include only a specific backup set. If the Search all backup sets option has been checked (in the Search dialog box) the Restore file menu item is disabled.
The grid supports multiple selection. In this case Open the archive file and Restore file only processes the first archive file.

To close the search result window click the Back button (on the toolbar) or press the ESC key.

.topic 3080
The Add a shortcut function is available from the tree view context menu.

When you run this function, the Create a Shortcut dialog box is displayed:

Select a folder where the shortcut will be placed. If you select Other from the drop-down list, the location field becomes active. Click the small button to browse your computer and select the location you wish to use.

Click OK to create the shortcut.

The shortcut will launch the backup job transparently when you activate it.

.topic 4000
The General report window shows you the state of all jobs done.

  This bitmap indicates  the job has been completed correctly.
  This bitmap indicates one or more warnings (e.g. file locked ).
  This bitmap indicates a severe problem

Error and warning code are explained in the help file, you can access the help file by pressing the   button.

You can close the Report window by clicking the small red button on the status bar or by pressing the ESC key.

You can get the full problem description by double clicking above the job concerned.

.topic 4010
You can select this view to get the General Report as your main window.

If you have scheduled jobs to run overnight, you will see if any problem occurred during the process as soon as you launch Backup2005 Pro.
Just click the menu item to get it working.

At any time you can return to the standard display by pressing the Back button and unchecking this menu item.

.topic 4020
The Backup map lets you to have a view over all the backup sets and their destinations.
The Backup map is not only a graphic presentation, it is also active. From the Backup map you can backup and restore any backup job. Modifying or creating a backup is also allowed.
The Backup map also has a unique feature : moving all backup sets from a destination to another source in one operation.

A popup menu is available from the right mouse button.

If a backup set is selected your can access the backup, restore or quick restore functions, in addition to the Modify backup set and Remove backup set.
If a destination is selected, you can move all backup sets pointing to this destination by using the Move to function.

The appearance of the Backup map can be changed by selecting a different orientation or by zooming or reducing the size of the objects.

The Backup map can be used as the default display.

.topic 4030
You can select this view to get the Backup map as your main window.
At any time you can return to the standard display by pressing the Back button and unchecking this menu item.

.topic 4060
The Status view provides for each backup set :
the last run
the next job (if scheduled)
the scheduler status (if any)
the last archive file name.

If the backup set is scheduled an icon is displayed.

The view aspect is depending of the toolbar settings (small or large buttons). The grid lines can be hidden.
From the context menu available you can :
run the backup
restore file(s)
display the last archive file
Show (or hide) the grid line

.topic 4065
You can select this view to get the Status view as your main window.
At any time you can return to the standard display by pressing the Back button and unchecking this menu item.

.topic 4040
Small buttons   : the default toolbar is changed to a smaller toolbar with small buttons.

.topic 4050
Large buttons : the default toolbar is restored.

.topic 4005
Access protection
The Backup2005 Pro access can be protected by password.

Reset size and position
This function is useful if you change your screen resolution. All information about Backup2005 Pro windows size and position stored in a Form.ini file in the installation folder.

Skins :
You can change the aspect of the software by selecting the skin you wish.

MSN skin					Media Player 10 skin

Real Player skin 				Xp Blue skin

Allow changing options :
This allows you to change some backup set options directly from the main window without having to load the Modify backup set dialog box.

Options

Save backup sets

It is a good idea to save all backup set definitions on a floppy disk, or a flash memory device. This function save backup set ( .bks) and synchronization scripts (.syn)

Language :
Backup2005 Pro supports English and French languages.

Make bootable floppy disks :  only available with Windows 2000. You need 4 formatted floppy disks and your original Windows 2000 CD.

Firewall parameters :  If you are connected to the Internet through a firewall, and are using the ftp capabilities of Backup2005 Pro, set your firewall parameters here.

If you are not sure about the values you need, ask your system administrator.

.topic 5000
  0      no error
  4     File skipped (older)
  6,7   File ignored, not changed
  12   File ignored not match the backup set definition

  100,101,117,119  Zip file corrupted
  102  Error writing data to the file
  103  Could not open the file for reading
  104  Could not read file
  105  Could not move temporary file
  106  Invalid password
  107  Invalid CRC
  108  Invalid uncompress file
  109,110, 111  Central header does not match the file size
  112  Can't create folder
  113  Access denied
  114  Can't create file-permission denied
  116  Rename to an existing file
  118  Can't set volume label
  120  Disk full
  121  Error compressing data
  122  Error restoring data

  300  Incomplete write
  301  Invalid signature
  302  Invalid central offset
  303  Invalid local offset
  304  Invalid descriptor offset
  305  Junk in archive file
  306  Security not supported
  307  Could not obtain security information
  308,309,310,311,312  Could not restore security information
  313,314  Error in Unicode file name
  315   Error in extra header size
  316,317,318 Error in time stamp
  319  Error in file count
  320  File open
  323  No files matched
  324,325  Header differ
  326  Invalid header
  327  Data format not supported

  500  Empty archive file
  501  Error seeking in archive file
  502  Premature end of file
  503  Error opening archive file
  504  Error creating temporary file
  505  Error reading archive file
  506  Error writing temporary file (check disk space available on the temporary folder location)
  507  Error writing archive file  (check destination folder)
  508  Error moving temporary file (check disk space available on destination folder)
  509  Nothing to do
  510  Error updating file, a multi-part archive can't be updated
  511  Out of memory
  512  Split size too small
  515  Can't update spanned archive
  516  Backup2005 Pro was busy
  517  Insert disk aborted
  518  User abort
  519  Not an archive file
  520  Error compressing string
  521,522,523,524,525  Invalid array
  526  Warnings  (see log file for details)
  527  Files skipped
  528  User abort
  529  Error removing files

   999  Unknown error

.topic 4100
Backup2005 Pro can be used through a command line to open an archive file.
This is done to allow opening archive files through the Open with menu from the Windows Explorer.

Parameters : /b progress window is not visible
/bv progress window is visible
/m run multiple backup sets, progress windows is not visible
/mv run multiple backup sets, progress windows is visible.
The second parameter is the name of the backup set or the name of the rlu file stored in the Tasks subfolder. Rlu files are created when you select multiple backup sets in the scheduler wizard.

Each parameter must be surrounded by a double quote.

Example : azg "/b" "mybackupset"

The command line can be useful if you use a non standard scheduler. The working directory must be the Backup2005 Pro installation folder.

.topic 4400
RD Technologies

http://www.Backup2005.com

Email : Rd@Backup2005.com

To be informed about new releases and new products :Info@Backup2005.com

To report a problem : Support@Backup2005.com
or consult the Backup2005 Pro forum : http://www.Backup2005.com/forum

.topic 4500
Backup2005 Pro  is a try before you buy software (shareware). You have 30 days to try it., and after this evaluation period you must buy a license in order to continue to use the software. If you need we can provide you a free temporary key to extend your trial period.

Visit our site http://www.backup2005.com for the latest information on registering Backup2005 Pro

.topic 4700
Backup2005 Synchronizer
Backup2005 Synchronizer is available as a stand alone product

.topic 4600

1. Grant of License- This is a legal contract between you and RD Technologies.  The terms of this Agreement govern your use of this program.  By installing this software, you are agreeing to be bound by this Agreement.  If you do not agree to the terms of this Agreement, please immediately erase the software from your computer memory.  In consideration for your payment of the license fee, which is your purchase price of the software, RD Technologies grants to you a non-exclusive, non-transferable, limited license to use and display the software on a single computer.  You may not copy it and give the copy to others to use or own, or use on a network.  RD Technologies retains ownership and title to the software.  This Agreement is not a sale of the original program or any copy.  The software is licensed only to you and may not be transferred, assigned, rented, leased, sold or otherwise disposed of to anyone else.
2. Restrictions- The software is protected by both EU copyright law and international treaty provisions.  Unauthorized copying of the software is expressly forbidden.  You may not distribute copies of this software to others.  You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the software.  You may be held legally responsible for any copyright infringement that is caused or incurred by your failure to abide by the terms of this Agreement.  Subject to these restrictions, you may make as many copies of the software as you need for archival use; for the sole purpose of backing up the software and protecting your investment from loss, as long as the archival copy contains the same proprietary notices as appear in the original copy of the software.
3. Termination- This Agreement is effective until terminated.  This Agreement (including the above license) will terminate automatically, without notice from RD Technologies, if you fail to comply with any provisions of this Agreement.  Upon termination you must destroy all copies of the software.
4. THE PRODUCT IS LICENSED "AS IS," AND RD Technologies DISCLAIMS ANY AND ALL OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT.  No RD Technologies dealer, distributor, agent or employee is authorized to make any modification or addition to the foregoing warranty.  Some states do not allow the exclusion of implied warranties or limitations on how long an implied warranty may last, so the above limitations and exclusions may not apply to you.  This warranty gives you the specific legal rights, and you may also have other rights, which vary from state to state.
5. Limitation of Liability- Under no circumstances shall RD Technologies be liable to you on account of any claim (whether based upon principles of contract, warranty, negligence or other tort, breach of any statutory duty, principles of indemnity, the failure of any limited remedy to achieve its essential purpose, or otherwise) for any special consequential, incidental, or exemplary damages, including but not limited to lost profits, or for any damages or sums paid by you to third parties, even if RD Technologies has been advised of the possibility of such damages.
6. Governing Law- This Agreement shall be governed by and construed in accordance with the laws of the Kingdom of Belgium. You consent to the exclusive jurisdiction of the state and federal courts located in Brussels for any and all disputes related to this Agreement.

RD Technologies License Agreement